#! /bin/sh
#
# Name: cc_expansion_number1_a.s
#
# Description: Verifies that no reference file TABLE types for
#              the given instrument appear to be "expanded"
#              (i.e. have been run through the expload tool).
#              The indicator for expansion is the existince
#              of {instrumentPrefix}_file DB rows
#              with a non-zero expansion_number.
#
# Called by:
#
# Requires:    env var CDBS_SERVER
#              env var CDBS_DB
#
# Usage: cc_expansion_number1_a.s instrumentPrefix
#
#-------------------------------------------------------------------------
isql -S$CDBS_SERVER << EOF 
use $CDBS_DB
go

/* Check that no tables are expanded */

if exists (select * from $1_file f, relation_info i
            where f.expansion_number > 0 and
                  i.instrument = upper('$1') and
                  f.reference_file_type = i.reference_file_type and
                  i.type = 'T')
begin
 print '-> CDBS ERROR:'
 print '->  a table has been expanded '
 print '->      file name                                          delivery_number'
 select distinct '->', file_name, delivery_number 
         from $1_file f, relation_info i
            where f.expansion_number > 0 and
                  i.instrument = upper('$1') and
                  f.reference_file_type = i.reference_file_type and
                  i.type = 'T'
 print '->'
end
go
