#! /bin/sh
#
# Name: cc_ga_date1_a.s
#
# Description: Check that no deliveries PRIOR TO the passed one
#              have unset general availability dates.
#
# Called by: cc_ga_date1.s
#
# Requires:  env var CDBS_SERVER
#            env var CDBS_DB
#
# Usage:     cc_ga_date1_a.s instrumentPrefix deliveryNumber
#
#---------------------------------------------------------------------------
isql -S$CDBS_SERVER << EOF 
use $CDBS_DB
go

/* Check that no deliveries have unset ga_dates */

if  exists (select * from $1_file 
            where general_availability_date is null and 
                  delivery_number < $2)
begin
 print '-> CDBS ERROR:'
 print '->  General availability date not set in $1 delivery'
 print '->      file name                                          delivery_number'
 select distinct '->', file_name, delivery_number 
         from $1_file f
         where general_availability_date is null and 
               delivery_number < $2
 print '->'
end
go
