#! /bin/sh
#
# Name: cc_in_delivery.s
#
# Description: Check if a delivery is in progress by finding a lock
#              entry in the cdbs_lock DB table for the current
#              delivery number.
#
# Called by: cc_check_cdbs.s
#
# Requires:  env var CDBS_SERVER
#            env var CDBS_DB
#
#---------------------------------------------------------------------------
isql -S$CDBS_SERVER << EOF 
use $CDBS_DB
go

/* Check if delivery is in progress */
if  exists (select * from delivery_number d, cdbs_lock l
            where d.value = l.task and l.state = 'L')
begin
print 'within a delivery'
end
go
