#! /bin/sh
#
# Name: cc_row_check1_a.s
#
# Description: Check that there is at least 1 row level record 
#              for each file level record.
#
# Called by: cc_row_check1.s
#
# Requires:  env var CDBS_SERVER
#            env var CDBS_DB
#
# Usage:     cc_row_check1_a.s instrumentPrefix 
#
#----------------------------------------------------------------------------
isql -S$CDBS_SERVER << EOF 
use $CDBS_DB
go

if exists (select * from $1_file f
              where 
              not exists 
              (select * from $1_row r
               where r.file_name = f.file_name and
                     r.expansion_number = f.expansion_number) )
begin
 print '-> CDBS ERROR:'
 print '->  No row-level record for a $1 file-level record '
 print '->      file name                                          delivery_number'
 select distinct '->', file_name, delivery_number from $1_file f
              where 
              not exists 
              (select * from $1_row r
               where r.file_name = f.file_name and
                  r.expansion_number = f.expansion_number)
 print '->'
end
go
