#! /bin/sh
#
# Name: cc_syn_comp.s
#
# Description: Check that the last delivery, if a synphot delivery, has
#              no new compnames.
#
# Called by: check_cdbs.s
#
# Requires:  env var CDBS_SERVER
#            env var CDBS_DB
#
# Usage:     cc_syn_comp.s deliveryNumber
#
# History:
# 06/12/02 45993 mss  make error a WARNING instead
#-----------------------------------------------------------------------
isql -S$CDBS_SERVER << EOF 
use $CDBS_DB
go

if  exists (select * from synphot_row where delivery_number = $1
            and compname not in (select compname from synphot_row
            where delivery_number < $1) )
begin
 print '-> CDBS WARNING:'
 print '->  compname not used in previous deliveries: Possible Error.'
 print '->           file name            compname'
 select '->'+' '+file_name+'     '+ compname from synphot_row 
            where delivery_number = $1
            and compname not in (select compname from synphot_row
            where delivery_number < $1) 
 print '->'
end
go
