#! /bin/sh
#
# Name: delete_delivery_a.s
#
# Description: Runs the delete_delivery stored procedure (SP) in the
#              CDBS_SERVER:CDBS_DB database, which will delete the delivery
#              listed in the delivery_number table (the last one made).  
#              The SP is expected to return an output of the number of records 
#              deleted from the database.
#
# Requires: env var CDBS_SERVER
#           env var CDBS_DB
#
# History:
# 05/16/11  xxxxx  MSwam   had to adjust to MSSQL print syntax
#----------------------------------------------------------------------------
isql -S${CDBS_SERVER} << EOF 
use ${CDBS_DB}
go
declare @status int 
declare @rec int
execute @status = delete_delivery @rec output
if (@status = 0) 
begin
  print 'Deletion of delivery OK status = 0'
  print convert(varchar,@rec)+' records deleted'
end
else
  print 'Deletion of delivery failed, status = '+convert(varchar,@status)
go
