#! /bin/sh
#
# Name: unlock_cdbs_sql.s
#
# Description: Unlocks any locked DB entries in the cdbs_lock table by
#              changing the state field from 'L' to 'U'.
#
# Called by:   unlock_cdbs
#
# Requires: env var CDBS_SERVER
#           env var CDBS_DB
#
#------------------------------------------------------------------------
isql -S$CDBS_SERVER << EOF
use $CDBS_DB
go
if not exists (select * from cdbs_lock where state = 'L')
  print 'No lock was held!'
go
update cdbs_lock set state='U' where state = 'L'
go
if (select @@rowcount) > 0 print 'lock released'
go 
