CREATE TABLE foc_row (
        file_name                       varchar(50)     NOT NULL,
        expansion_number                int             NOT NULL,
        delivery_number                 int             NOT NULL,
        uni_file_name                   varchar(50)     NOT NULL,
        optcrly                         varchar(8)      NOT NULL,
        pxformt                         varchar(8)      NOT NULL,
        optelt1                         int             NOT NULL,
        optelt2                         int             NOT NULL,
        sampoff                         int             NOT NULL,
        samppln                         int             NOT NULL,
        lineoff                         int             NOT NULL,
        linepfm                         int             NOT NULL,
        cammode                         varchar(8)      NOT NULL,
        smmmode                         varchar(8)      NOT NULL,
        wavelength                      int             NOT NULL,
        equivalence_class_severe        int             NOT NULL,
        equivalence_class_moderate      int             NOT NULL,
        pedigree                        varchar(50)     NOT NULL,
        observation_begin_date          datetime        NULL,
        observation_end_date            datetime        NULL,
        comment                         text            NULL )
go
sp_bindefault cdbs_char_default, 'foc_row.cammode'
go
sp_bindefault cdbs_int_default, 'foc_row.lineoff'
go
sp_bindefault cdbs_int_default, 'foc_row.linepfm'
go
sp_bindefault cdbs_char_default, 'foc_row.optcrly'
go
sp_bindefault cdbs_int_default, 'foc_row.optelt1'
go
sp_bindefault cdbs_int_default, 'foc_row.optelt2'
go
sp_bindefault cdbs_char_default, 'foc_row.pxformt'
go
sp_bindefault cdbs_int_default, 'foc_row.sampoff'
go
sp_bindefault cdbs_int_default, 'foc_row.samppln'
go
sp_bindefault cdbs_char_default, 'foc_row.smmmode'
go
sp_bindefault cdbs_char_default, 'foc_row.uni_file_name'
go
sp_bindefault cdbs_int_default, 'foc_row.wavelength'
go
CREATE UNIQUE CLUSTERED INDEX foc_row_1
    ON foc_row
        ( optcrly,
          pxformt,
          optelt1,
          optelt2,
          sampoff,
          samppln,
          lineoff,
          linepfm,
          cammode,
          smmmode,
          wavelength,
          file_name )
go

CREATE NONCLUSTERED INDEX foc_row_2
    ON foc_row
        ( file_name,
          expansion_number )
go

