CREATE TABLE fos_row (
        file_name                       varchar(50)     NOT NULL,
        expansion_number                int             NOT NULL,
        delivery_number                 int             NOT NULL,
        detector                        varchar(5)      NOT NULL,
        overscan                        int             NOT NULL,
        aper_id                         varchar(3)      NOT NULL,
        aper_pos                        varchar(6)      NOT NULL,
        polar_id                        char(1)         NOT NULL,
        fgwa_id                         varchar(3)      NOT NULL,
        pass_dir                        int             NOT NULL,
        fchnl                           int             NOT NULL,
        nxsteps                         int             NOT NULL,
        wavelength                      int             NOT NULL,
        parmid                          char(8)         NOT NULL,
        equivalence_class_severe        int             NOT NULL,
        equivalence_class_moderate      int             NOT NULL,
        pedigree                        varchar(50)     NOT NULL,
        observation_begin_date          datetime        NULL,
        observation_end_date            datetime        NULL,
        comment                         text            NULL )
go
sp_bindefault cdbs_char_default, 'fos_row.aper_id'
go
sp_bindefault cdbs_char_default, 'fos_row.aper_pos'
go
sp_bindefault cdbs_char_default, 'fos_row.detector'
go
sp_bindefault cdbs_int_default, 'fos_row.fchnl'
go
sp_bindefault cdbs_char_default, 'fos_row.fgwa_id'
go
sp_bindefault cdbs_int_default, 'fos_row.nxsteps'
go
sp_bindefault cdbs_int_default, 'fos_row.overscan'
go
sp_bindefault cdbs_char_default, 'fos_row.parmid'
go
sp_bindefault cdbs_int_default, 'fos_row.pass_dir'
go
sp_bindefault cdbs_char_default, 'fos_row.polar_id'
go
sp_bindefault cdbs_int_default, 'fos_row.wavelength'
go
CREATE UNIQUE CLUSTERED INDEX fos_row_1
    ON fos_row
        ( detector,
          overscan,
          aper_id,
          aper_pos,
          polar_id,
          fgwa_id,
          pass_dir,
          fchnl,
          nxsteps,
          wavelength,
          parmid,
          file_name )
go

CREATE NONCLUSTERED INDEX fos_row_2
    ON fos_row
        ( file_name,
          expansion_number )
go

