create trigger hrs_file_delete
on hrs_file
for delete as
begin

  /* reject delete if general_availability_date is not null */
  if exists (select * from deleted
     where general_availability_date is not NULL) 
    begin /* hrs_file.general_availability_date is not null */

      /* display error message */
      print '*******************************************************************'
      print 'CDBS Error: Attempting to delete hrs_file record(s) for delivered data'
      select delivery_number,reference_file_type,file_name,expansion_number,
        useafter_date,opus_flag,opus_load_date,archive_date,
        general_availability_date,reject_flag,reject_delivery_number,
        reject_by_file_name,reject_by_expansion_number
      from deleted where general_availability_date is not NULL
      print '*******************************************************************'
      print ' '

      /* rollback deleted hrs_file data */
      rollback transaction
      print 'NO RECORDS WERE DELETED'
      print ' '
      return
    end  /* hrs_file.general_availability_date is not null */
end  /* delete file level record */

go
