CREATE TABLE hrs_row (
        file_name                       varchar(50)     NOT NULL,
        expansion_number                int             NOT NULL,
        delivery_number                 int             NOT NULL,
        detector                        int             NOT NULL,
        grating                         varchar(9)      NOT NULL,
        aperture                        varchar(3)      NOT NULL,
        sporder                         int             NOT NULL,
        targetid                        varchar(18)     NOT NULL,
        equivalence_class_severe        int             NOT NULL,
        equivalence_class_moderate      int             NOT NULL,
        pedigree                        varchar(50)     NOT NULL,
        observation_begin_date          datetime        NULL,
        observation_end_date            datetime        NULL,
        comment                         text            NULL )
go
sp_bindefault cdbs_char_default, 'hrs_row.aperture'
go
sp_bindefault cdbs_int_default, 'hrs_row.detector'
go
sp_bindefault cdbs_char_default, 'hrs_row.grating'
go
sp_bindefault cdbs_int_default, 'hrs_row.sporder'
go
sp_bindefault cdbs_char_default, 'hrs_row.targetid'
go
CREATE UNIQUE CLUSTERED INDEX hrs_row_1
    ON hrs_row
        ( detector,
          grating,
          aperture,
          sporder,
          targetid,
          file_name )
go

CREATE NONCLUSTERED INDEX hrs_row_2
    ON hrs_row
        ( file_name,
          expansion_number )
go

