CREATE TABLE hsp_row (
        file_name                       varchar(50)     NOT NULL,
        expansion_number                int             NOT NULL,
        delivery_number                 int             NOT NULL,
        aper_name                       varchar(10)     NOT NULL,
        det_num                         int             NOT NULL,
        type                            varchar(7)      NOT NULL,
        voltage                         int             NOT NULL,
        vgaind                          int             NOT NULL,
        thresh                          int             NOT NULL,
        equivalence_class_severe        int             NOT NULL,
        equivalence_class_moderate      int             NOT NULL,
        pedigree                        varchar(50)     NOT NULL,
        observation_begin_date          datetime        NULL,
        observation_end_date            datetime        NULL,
        comment                         text            NULL )
go
sp_bindefault cdbs_char_default, 'hsp_row.aper_name'
go
sp_bindefault cdbs_int_default, 'hsp_row.det_num'
go
sp_bindefault cdbs_int_default, 'hsp_row.thresh'
go
sp_bindefault cdbs_char_default, 'hsp_row.type'
go
sp_bindefault cdbs_int_default, 'hsp_row.vgaind'
go
sp_bindefault cdbs_int_default, 'hsp_row.voltage'
go
CREATE UNIQUE CLUSTERED INDEX hsp_row_1
    ON hsp_row
        ( aper_name,
          det_num,
          type,
          voltage,
          vgaind,
          thresh,
          file_name )
go

CREATE NONCLUSTERED INDEX hsp_row_2
    ON hsp_row
        ( file_name,
          expansion_number )
go

