CREATE TABLE wfpc_row (
        file_name                       varchar(50)     NOT NULL,
        expansion_number                int             NOT NULL,
        delivery_number                 int             NOT NULL,
        camera                          varchar(2)      NOT NULL,
        mode                            varchar(4)      NOT NULL,
        clock                           varchar(3)      NOT NULL,
        filter1                         int             NOT NULL,
        filter2                         int             NOT NULL,
        filtnam1                        varchar(6)      NOT NULL,
        filtnam2                        varchar(6)      NOT NULL,
        shutter                         char(1)         NOT NULL,
        photmode                        varchar(48)     NOT NULL,
        equivalence_class_severe        int             NOT NULL,
        equivalence_class_moderate      int             NOT NULL,
        pedigree                        varchar(50)     NOT NULL,
        observation_begin_date          datetime        NULL,
        observation_end_date            datetime        NULL,
        comment                         text            NULL )
go
sp_bindefault cdbs_char_default, 'wfpc_row.camera'
go
sp_bindefault cdbs_char_default, 'wfpc_row.clock'
go
sp_bindefault cdbs_int_default, 'wfpc_row.filter1'
go
sp_bindefault cdbs_int_default, 'wfpc_row.filter2'
go
sp_bindefault cdbs_char_default, 'wfpc_row.filtnam1'
go
sp_bindefault cdbs_char_default, 'wfpc_row.filtnam2'
go
sp_bindefault cdbs_char_default, 'wfpc_row.mode'
go
sp_bindefault cdbs_char_default, 'wfpc_row.photmode'
go
sp_bindefault cdbs_char_default, 'wfpc_row.shutter'
go
CREATE UNIQUE CLUSTERED INDEX wfpc_row_1
    ON wfpc_row
        ( camera,
          mode,
          filter1,
          filter2,
          filtnam1,
          filtnam2,
          shutter,
          photmode,
          file_name )
go

CREATE NONCLUSTERED INDEX wfpc_row_2
    ON wfpc_row
        ( file_name,
          expansion_number )
go

