/*****************************************************************************/
/*                                                                           */
/*  File name :   cos_row.sql                                                */
/*                                                                           */
/*  Description : instrucment "cos" row level table                          */
/*                associated file level table : cos_file                     */
/*                                                                           */
/*  Note :        for any given delivery, row level data should be inserted  */
/*                to "cos_row" prior insert file level data to "cos_file"    */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  09/15/03              mss   Original                                     */
/*  07/03/07   58132      mss   Rename segment (Sybase resvd) to segment  */
/*****************************************************************************/

drop table cos_row 
go
 
create table cos_row (
   file_name                   varchar(50) not null,
   expansion_number            int         not null,
   delivery_number             int         not null,

   /* observation_mode  */
   detector                    char(3)     not null,
   obstype                     varchar(14) not null,
   obsmode                     varchar(10) not null,
   segment                    char(4)     not null,
   cenwave                     int         not null,
   aperture                    varchar(4)  not null,
   opt_elem                    varchar(8)  not null,
   
   /* equivalence_class */
   equivalence_class_severe    int         not null,
   equivalence_class_moderate  int         not null,

   pedigree                    varchar(50) not null,
   observation_begin_date      datetime    null,
   observation_end_date        datetime    null,
   comment                     text        null)
go

sp_bindefault cdbs_char_default, 'cos_row.detector'
go
sp_bindefault cdbs_char_default, 'cos_row.obstype'
go
sp_bindefault cdbs_char_default, 'cos_row.obsmode'
go
sp_bindefault cdbs_char_default, 'cos_row.segment'
go
sp_bindefault cdbs_int_default, 'cos_row.cenwave'
go
sp_bindefault cdbs_char_default, 'cos_row.aperture'
go
sp_bindefault cdbs_char_default, 'cos_row.opt_elem'
go
