/*****************************************************************************/
/*                                                                           */
/*  File:    delete_delivery.sp                                              */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  01/20/97               sl   Original                                     */
/*  03/24/97               sl   add select @rec ...                          */
/*  09/02/02               mss  add WFC3                                     */
/*  09/17/03               mss  add COS                                      */
/*  09/20/11               mss  remove unused instruments, add perm set      */
/*                                                                           */
/*****************************************************************************/

drop procedure delete_delivery
go

create procedure delete_delivery @rec int output as
begin transaction

  select @rec = 0

  declare @number int

  select @number = value from delivery_number
  print 'Delivery number = ' + convert(varchar,@number)
  
  delete from opus_log where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from wfpc2_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from wfpc2_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update wfpc2_file 
    set reject_flag = 'N', reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from stis_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from stis_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update stis_file 
    set reject_flag = 'N', reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from acs_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from acs_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update acs_file 
    set reject_flag = 'N', reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from wfc3_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from wfc3_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update wfc3_file 
    set reject_flag = 'N', reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from cos_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from cos_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update cos_file 
    set reject_flag = 'N', reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from nic_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from nic_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update nic_file 
    set reject_flag = 'N', reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from synphot_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from synphot_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update synphot_file 
    set reject_flag = 'N', reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from multi_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from multi_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update multi_file 
    set reject_flag = 'N', reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

/*  print 'Delivery number ' + convert(varchar,@number) +  */
/*        'has been deleted from the database' */
    print 'Delivery deleted from the database'

commit transaction
go
grant execute on delete_delivery to public
go
