/*****************************************************************************/
/*                                                                           */
/*  File        : delivery_number_count.trig                                 */
/*                                                                           */
/*  Description : the trigger ensure table delivery_number only contains     */
/*                one record, if user attemps enter more than one record,    */
/*                an error message will be displayed and query will be       */
/*                aborted.                                                   */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  07/08/96               sk   Original                                     */
/*                                                                           */
/*****************************************************************************/

create trigger delivery_number_count
on delivery_number
for insert as
declare @insert_value  int
declare @msg           varchar(80)
if (select count(*) from delivery_number) > 1
   begin   /* too many insert */
     select @insert_value = value from inserted
     print 'CDBS Error: "delivery_number" is a one row table.'
     print 'Inserting more then one row is not allowed,'
     select @msg = 'insert delivery_number.value = ' + rtrim(convert(char(50),@insert_value)) + ' failed.'
     print @msg
     rollback transaction
     return
   end     /* too many insert */

go
