/*****************************************************************************/
/*                                                                           */
/*  File        : equiv_class_value_count.trig                               */
/*                                                                           */
/*  Description : the trigger ensure table equiv_class_value only contains   */
/*                one record, if user attemps enter more than one record,    */
/*                an error message will be displayed and query will be       */
/*                aborted.                                                   */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  07/08/96               sk   Original                                     */
/*                                                                           */
/*****************************************************************************/

create trigger equiv_class_value_count
on equiv_class_value
for insert as
declare @insert_value  int
declare @msg           varchar(80)
if (select count(*) from equiv_class_value) > 1
   begin    /* too many insert */
     select @insert_value = value from inserted
     print 'CDBS Error: "equiv_class_value" is a one row table.'
     print 'Inserting more then one row is not allowed,'
     select @msg = 'insert equiv_class_value.value = ' + rtrim(convert(char(50),@insert_value)) + ' failed.'
     print @msg
     rollback transaction
     return
   end      /* too many insert */

go
