/*****************************************************************************/
/*                                                                           */
/*  File name :   file_extensions_data.sql                                   */
/*                                                                           */
/*  Related file : <instrument>_row.sql, cdbs_mode_data.sql                  */
/*                 opus_fields_data.sql, relation_info_data.sql              */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  07/08/96               sk   Original                                     */
/*  04/09/97   33811       sk   Add stis reference_file_type "MOC"           */
/*  12/11/97   35928       sk   Add stis reference_file_type "PCT"           */
/*  03/05/98   36456       sk   add FOS reference_file_type "PCP"            */
/*  11/12/98               sk   add ACS reference_file_type                  */
/*  01/25/98               sk   delete CDK,MDK add DRK from ACS              */
/*  02/24/99   38259/60    sk   add stis reference_file_type "WCP"           */
/*  09/06/00   42348       sk   add ACS reference_file_type "FLS"            */
/*  09/25/00   42445       sk   add 7 STIS  reference_file_type:             */
/*                              "CDS","ECH","EXS","HAL","RIP","SRW","TEL"    */
/*  05/31/01   43972       sk   add FOS "CCSF"                               */
/*  05/31/01   43974       sk   add FOS "CCSE"                               */
/*  09/21/01   44320       sk   add ACS IDC data                             */
/*  03/04/02   45289       sk   add NIC TDD data                             */
/*  04/12/02   45386       sk   add STIS, TDS data                           */
/*  04/12/02   45569       sk   add STIS, TDC data                           */
/*  06/12/02   45993       mss  add SYNPHOT, THERMTAB,THERMAL                */
/*  09/02/02   46235       mss  add WFC3                                     */
/*  09/17/03   49436       mss  add COS                                      */
/*  07/01/04   50156       sk   add ACS/MDZ                                  */
/*  07/01/04   50166       sk   add ACS/DXY                                  */
/*  07/01/04   51069       sk   add WFPC2/IDC and OFF                        */
/*  10/12/04   51981       mss  add ACS/CFL,CSP                              */
/*  10/18/04   51962       mss  add NIC/IDC                                  */
/*  08/31/05   53525       mss  add STIS/GAC                                 */
/*  09/15/06   56733       mss  add NIC/SDK  */
/*  05/22/07   57609       mss  add NIC/ZPR,NLC */
/*  07/03/07   57851       mss  add WFPC2/W4T  */
/*  07/23/07   58375       mss  add COS/BURST */
/*  12/21/07   55604       mss  add NIC/SCN,PSB */
/*  05/15/08   60017       mss  remove unused ACS/PHT */
/*  05/28/08   59404       mss  add WFC3/MDZ                                 */
/*  08/14/08   60643       mss  add WFPC2/DXY         */
/*  09/18/08   60848       mss  add NIC/PMD,PMK  */
/*  11/07/08   xxxxx       mss  add NIC/TDF      */
/*  02/02/09   58375       mss  add COS/TDS      */
/*  02/22/11   66259       mss  add COS/SPWCS */
/*  06/27/11   68306       mss  add ACS/IMP */
/*  08/26/11   68293       mss  add COS/WALK */
/*  09/01/11   69084       mss  add ACS/D2I,NPL */
/*                                                                           */
/*****************************************************************************/

/* file_extensions data: reference_file_type, instrument, extension */
truncate table file_extensions
go

/*     foc      */
insert into file_extensions values ('BAC', 'FOC', 'R0H')
go
insert into file_extensions values ('BAC', 'FOC', 'R0D')
go
insert into file_extensions values ('ITF', 'FOC', 'R1H')
go
insert into file_extensions values ('ITF', 'FOC', 'R1D')
go
insert into file_extensions values ('SDE', 'FOC', 'R3H')
go
insert into file_extensions values ('SDE', 'FOC', 'R3D')
go
insert into file_extensions values ('GEO', 'FOC', 'R5H')
go
insert into file_extensions values ('GEO', 'FOC', 'R5D')
go
insert into file_extensions values ('BLM', 'FOC', 'R7H')
go
insert into file_extensions values ('BLM', 'FOC', 'R7D')
go
insert into file_extensions values ('UNI', 'FOC', 'R2H')
go
insert into file_extensions values ('UNI', 'FOC', 'R2D')
go
insert into file_extensions values ('UNITAB', 'FOC', 'CXU')
go

/*     hsp      */
insert into file_extensions values ('CCP0', 'HSP', 'CV0')
go
insert into file_extensions values ('CCP1', 'HSP', 'CV1')
go
insert into file_extensions values ('CCP2', 'HSP', 'CV2')
go
insert into file_extensions values ('CCP3', 'HSP', 'CV3')
go
insert into file_extensions values ('CCP4', 'HSP', 'CV4')
go
insert into file_extensions values ('CCP5', 'HSP', 'CV5')
go
insert into file_extensions values ('CCP7', 'HSP', 'CV7')
go
insert into file_extensions values ('CCP8', 'HSP', 'CV8')
go
insert into file_extensions values ('CCP9', 'HSP', 'CV9')
go


/*     fos      */
insert into file_extensions values ('AIS', 'FOS', 'R8H')
go   /* AIS = average inverse sensitivity  */
insert into file_extensions values ('AIS', 'FOS', 'R8D')
go
insert into file_extensions values ('BAC', 'FOS', 'R0H')
go
insert into file_extensions values ('BAC', 'FOS', 'R0D')
go
insert into file_extensions values ('FLT', 'FOS', 'R1H')
go
insert into file_extensions values ('FLT', 'FOS', 'R1D')
go
insert into file_extensions values ('IVS', 'FOS', 'R2H')
go
insert into file_extensions values ('IVS', 'FOS', 'R2D')
go
insert into file_extensions values ('RET', 'FOS', 'R3H')
go
insert into file_extensions values ('RET', 'FOS', 'R3D')
go
insert into file_extensions values ('DDT', 'FOS', 'R4H')
go
insert into file_extensions values ('DDT', 'FOS', 'R4D')
go
insert into file_extensions values ('QIN', 'FOS', 'R5H')
go
insert into file_extensions values ('QIN', 'FOS', 'R5D')
go
insert into file_extensions values ('PCP', 'FOS', 'R9H')
go
insert into file_extensions values ('PCP', 'FOS', 'R9D')
go
insert into file_extensions values ('LSF', 'FOS', 'R7H')
go
insert into file_extensions values ('LSF', 'FOS', 'R7D')
go
insert into file_extensions values ('PSF', 'FOS', 'TAB')
go
insert into file_extensions values ('CCS0', 'FOS', 'CY0')
go
insert into file_extensions values ('CCS1', 'FOS', 'CY1')
go
insert into file_extensions values ('CCS2', 'FOS', 'CY2')
go
insert into file_extensions values ('CCS3', 'FOS', 'CY3')
go
insert into file_extensions values ('CCS4', 'FOS', 'CY4')
go
insert into file_extensions values ('CCS5', 'FOS', 'CY5')
go
insert into file_extensions values ('CCS6', 'FOS', 'CY6')
go
insert into file_extensions values ('CCS7', 'FOS', 'CY7')
go
insert into file_extensions values ('CCS8', 'FOS', 'CY8')
go
insert into file_extensions values ('CCS9', 'FOS', 'CY9')
go
insert into file_extensions values ('CCSA', 'FOS', 'CYA')
go
insert into file_extensions values ('CCSB', 'FOS', 'CYB')
go
insert into file_extensions values ('CCSC', 'FOS', 'CYC')
go
insert into file_extensions values ('CCSD', 'FOS', 'CYD')
go
insert into file_extensions values ('CCG2', 'FOS', 'CMG')
go
insert into file_extensions values ('CCSE', 'FOS', 'CYE')
go
insert into file_extensions values ('CCSF', 'FOS', 'CYF')
go


/*     hrs      */
insert into file_extensions values ('DIO', 'HRS', 'R0H')
go
insert into file_extensions values ('DIO', 'HRS', 'R0D')
go
insert into file_extensions values ('PHC', 'HRS', 'R1H')
go
insert into file_extensions values ('PHC', 'HRS', 'R1D')
go
insert into file_extensions values ('VIG', 'HRS', 'R2H')
go
insert into file_extensions values ('VIG', 'HRS', 'R2D')
go
insert into file_extensions values ('ABS', 'HRS', 'R3H')
go
insert into file_extensions values ('ABS', 'HRS', 'R3D')
go
insert into file_extensions values ('NET', 'HRS', 'R4H')
go
insert into file_extensions values ('NET', 'HRS', 'R4D')
go
insert into file_extensions values ('QIN', 'HRS', 'R5H')
go
insert into file_extensions values ('QIN', 'HRS', 'R5D')
go
insert into file_extensions values ('SAA', 'HRS', 'R6H')
go
insert into file_extensions values ('WAVECAL', 'HRS', 'TAB')
go
insert into file_extensions values ('CCR1', 'HRS', 'CZ1')
go
insert into file_extensions values ('CCR2', 'HRS', 'CZ2')
go
insert into file_extensions values ('CCR3', 'HRS', 'CZ3')
go
insert into file_extensions values ('CCR4', 'HRS', 'CZ4')
go
insert into file_extensions values ('CCR5', 'HRS', 'CZ5')
go
insert into file_extensions values ('CCR6', 'HRS', 'CZ6')
go
insert into file_extensions values ('CCR7', 'HRS', 'CZ7')
go
insert into file_extensions values ('CCR8', 'HRS', 'CZ8')
go
insert into file_extensions values ('CCR9', 'HRS', 'CZ9')
go
insert into file_extensions values ('CCRA', 'HRS', 'CZA')
go
insert into file_extensions values ('CCRB', 'HRS', 'CZB')
go
insert into file_extensions values ('CCRC', 'HRS', 'CZC')
go
insert into file_extensions values ('CCRD', 'HRS', 'CZD')
go
insert into file_extensions values ('CCG2', 'HRS', 'CMG')
go
insert into file_extensions values ('PTNELINEC', 'HRS', 'TAB')
go
insert into file_extensions values ('SCOFFC', 'HRS', 'TAB')
go
insert into file_extensions values ('CZE', 'HRS', 'TAB')
go

/*     wfpc2    */
insert into file_extensions values ('MSK', 'WFPC2', 'R0H')
go
insert into file_extensions values ('MSK', 'WFPC2', 'R0D')
go
insert into file_extensions values ('A2D', 'WFPC2', 'R1H')
go
insert into file_extensions values ('A2D', 'WFPC2', 'R1D')
go
insert into file_extensions values ('BAS', 'WFPC2', 'R2H')   
go
insert into file_extensions values ('BAS', 'WFPC2', 'B2H')   
go 
insert into file_extensions values ('BAS', 'WFPC2', 'R2D')   
go
insert into file_extensions values ('BAS', 'WFPC2', 'B2D')   
go
insert into file_extensions values ('DRK', 'WFPC2', 'R3H')   
go
insert into file_extensions values ('DRK', 'WFPC2', 'B3H')   
go
insert into file_extensions values ('DRK', 'WFPC2', 'R3D')   
go
insert into file_extensions values ('DRK', 'WFPC2', 'B3D')   
go
insert into file_extensions values ('FLT', 'WFPC2', 'R4H')
go
insert into file_extensions values ('FLT', 'WFPC2', 'B4H')
go
insert into file_extensions values ('FLT', 'WFPC2', 'R4D')
go
insert into file_extensions values ('FLT', 'WFPC2', 'B4D')
go
insert into file_extensions values ('SHD', 'WFPC2', 'R5H')
go
insert into file_extensions values ('SHD', 'WFPC2', 'R5D')
go
insert into file_extensions values ('W4T', 'WFPC2', 'R7H')
go
insert into file_extensions values ('W4T', 'WFPC2', 'R7D')
go
insert into file_extensions values ('IDC', 'WFPC2', 'FITS')
go
insert into file_extensions values ('OFF', 'WFPC2', 'FITS')
go
insert into file_extensions values ('DXY', 'WFPC2', 'FITS')
go

/*     wfpc    */
insert into file_extensions values ('A2D', 'WFPC', 'R1H')
go
insert into file_extensions values ('A2D', 'WFPC', 'R1D')
go
insert into file_extensions values ('BAS', 'WFPC', 'R2H')
go
insert into file_extensions values ('BAS', 'WFPC', 'B2H')
go
insert into file_extensions values ('BAS', 'WFPC', 'R2D')
go
insert into file_extensions values ('BAS', 'WFPC', 'B2D')
go
insert into file_extensions values ('DRK', 'WFPC', 'R5H')
go
insert into file_extensions values ('DRK', 'WFPC', 'B5H')
go
insert into file_extensions values ('DRK', 'WFPC', 'R5D')
go
insert into file_extensions values ('DRK', 'WFPC', 'B5D')
go
insert into file_extensions values ('FLT', 'WFPC', 'R6H')
go
insert into file_extensions values ('FLT', 'WFPC', 'B6H')
go
insert into file_extensions values ('FLT', 'WFPC', 'R6D')
go
insert into file_extensions values ('FLT', 'WFPC', 'B6D')
go
insert into file_extensions values ('MSK', 'WFPC', 'R0H')
go
insert into file_extensions values ('MSK', 'WFPC', 'R0D')
go
insert into file_extensions values ('PRF', 'WFPC', 'R3H')
go
insert into file_extensions values ('PRF', 'WFPC', 'B3H')
go
insert into file_extensions values ('PRF', 'WFPC', 'R3D')
go
insert into file_extensions values ('PRF', 'WFPC', 'B3D')
go
insert into file_extensions values ('PUR', 'WFPC', 'R4H')
go
insert into file_extensions values ('PUR', 'WFPC', 'B4H')
go
insert into file_extensions values ('PUR', 'WFPC', 'R4D')
go
insert into file_extensions values ('PUR', 'WFPC', 'B4D')
go
insert into file_extensions values ('PHOTTAB', 'WFPC', 'CW0') 
go
insert into file_extensions values ('PSF', 'WFPC', 'R7H')  
go
insert into file_extensions values ('DFLT', 'WFPC', 'R8H')
go

/*     stis     */
insert into file_extensions values ('BIA', 'STIS', 'FITS')
go
insert into file_extensions values ('DRK', 'STIS', 'FITS')
go
insert into file_extensions values ('SSC', 'STIS', 'FITS')
go
insert into file_extensions values ('PFL', 'STIS', 'FITS')
go
insert into file_extensions values ('DFL', 'STIS', 'FITS')
go
insert into file_extensions values ('LFL', 'STIS', 'FITS')
go
insert into file_extensions values ('SSD', 'STIS', 'FITS')
go
insert into file_extensions values ('CCD', 'STIS', 'FITS')
go
insert into file_extensions values ('A2D', 'STIS', 'FITS')
go
insert into file_extensions values ('CRR', 'STIS', 'FITS')
go
insert into file_extensions values ('BPX', 'STIS', 'FITS')
go
insert into file_extensions values ('LIN', 'STIS', 'FITS')
go
insert into file_extensions values ('PHT', 'STIS', 'FITS')
go
insert into file_extensions values ('APT', 'STIS', 'FITS')
go
insert into file_extensions values ('APD', 'STIS', 'FITS')
go
insert into file_extensions values ('LMP', 'STIS', 'FITS')
go
insert into file_extensions values ('IDC', 'STIS', 'FITS')
go
insert into file_extensions values ('SDC', 'STIS', 'FITS')
go
insert into file_extensions values ('IAC', 'STIS', 'FITS')
go
insert into file_extensions values ('DSP', 'STIS', 'FITS')
go
insert into file_extensions values ('1DT', 'STIS', 'FITS')
go
insert into file_extensions values ('1DX', 'STIS', 'FITS')
go
insert into file_extensions values ('MOC', 'STIS', 'FITS')
go
insert into file_extensions values ('PCT', 'STIS', 'FITS')
go
insert into file_extensions values ('WCP', 'STIS', 'FITS')
go
insert into file_extensions values ('CDS', 'STIS', 'FITS')
go
insert into file_extensions values ('ECH', 'STIS', 'FITS')
go
insert into file_extensions values ('EXS', 'STIS', 'FITS')
go
insert into file_extensions values ('HAL', 'STIS', 'FITS')
go
insert into file_extensions values ('RIP', 'STIS', 'FITS')
go
insert into file_extensions values ('SRW', 'STIS', 'FITS')
go
insert into file_extensions values ('TEL', 'STIS', 'FITS')
go
insert into file_extensions values ('TDS', 'STIS', 'FITS')
go
insert into file_extensions values ('TDC', 'STIS', 'FITS')
go
insert into file_extensions values ('GAC', 'STIS', 'FITS')
go

/*     nic      */
insert into file_extensions values ('MSK', 'NIC', 'FITS')
go
insert into file_extensions values ('NOI', 'NIC', 'FITS')
go
insert into file_extensions values ('LIN', 'NIC', 'FITS')
go
insert into file_extensions values ('DRK', 'NIC', 'FITS')
go
insert into file_extensions values ('FLT', 'NIC', 'FITS')
go
insert into file_extensions values ('ILM', 'NIC', 'FITS')
go
insert into file_extensions values ('TDD', 'NIC', 'FITS')
go
insert into file_extensions values ('PHT', 'NIC', 'FITS')
go
insert into file_extensions values ('BKG', 'NIC', 'FITS')
go
insert into file_extensions values ('IDC', 'NIC', 'FITS')
go
insert into file_extensions values ('SDK', 'NIC', 'FITS')
go
insert into file_extensions values ('NLC', 'NIC', 'FITS')
go
insert into file_extensions values ('ZPR', 'NIC', 'FITS')
go
insert into file_extensions values ('SCN', 'NIC', 'FITS')
go
insert into file_extensions values ('PSB', 'NIC', 'FITS')
go
insert into file_extensions values ('PMD', 'NIC', 'FITS')
go
insert into file_extensions values ('PMK', 'NIC', 'FITS')
go
insert into file_extensions values ('TDF', 'NIC', 'FITS')
go

/*     synphot      */
insert into file_extensions values ('THROUGHPUT', 'SYNPHOT', 'TAB')
go
insert into file_extensions values ('GRAPHTAB', 'SYNPHOT', 'TMG')
go
insert into file_extensions values ('COMPTAB', 'SYNPHOT', 'TMC')
go
insert into file_extensions values ('THERMAL', 'SYNPHOT', 'TAB')
go
insert into file_extensions values ('THERMTAB', 'SYNPHOT', 'TMT')
go

/*     multi      */
insert into file_extensions values ('CLUSTERPOS', 'MULTI', 'TAB')
go
insert into file_extensions values ('PHOFLDS', 'MULTI', 'TAB')
go
insert into file_extensions values ('PHOTOBS', 'MULTI', 'TAB')
go
insert into file_extensions values ('POLAROBS', 'MULTI', 'TAB')
go
insert into file_extensions values ('SPECOBS', 'MULTI', 'TAB')
go
insert into file_extensions values ('SPECTRUM', 'MULTI', 'TAB')
go

/*     acs        */
insert into file_extensions values ('BIA', 'ACS', 'FITS')
go
insert into file_extensions values ('DRK', 'ACS', 'FITS')
go
insert into file_extensions values ('PFL', 'ACS', 'FITS')
go
insert into file_extensions values ('LFL', 'ACS', 'FITS')
go
insert into file_extensions values ('DFL', 'ACS', 'FITS')
go
insert into file_extensions values ('SHD', 'ACS', 'FITS')
go
insert into file_extensions values ('FLS', 'ACS', 'FITS')
go
insert into file_extensions values ('DXY', 'ACS', 'FITS')
go
insert into file_extensions values ('CFL', 'ACS', 'FITS')
go
insert into file_extensions values ('BPX', 'ACS', 'FITS')
go
insert into file_extensions values ('CCD', 'ACS', 'FITS')
go
insert into file_extensions values ('LIN', 'ACS', 'FITS')
go
insert into file_extensions values ('A2D', 'ACS', 'FITS')
go
insert into file_extensions values ('CRR', 'ACS', 'FITS')
go
insert into file_extensions values ('OSC', 'ACS', 'FITS')
go
insert into file_extensions values ('IDC', 'ACS', 'FITS')
go
insert into file_extensions values ('MDZ', 'ACS', 'FITS')
go
insert into file_extensions values ('CSP', 'ACS', 'FITS')
go
insert into file_extensions values ('IMP', 'ACS', 'FITS')
go
insert into file_extensions values ('D2I', 'ACS', 'FITS')
go
insert into file_extensions values ('NPL', 'ACS', 'FITS')
go

/*     wfc3 */
insert into file_extensions values ('BIA', 'WFC3', 'FITS')
go
insert into file_extensions values ('DRK', 'WFC3', 'FITS')
go
insert into file_extensions values ('PFL', 'WFC3', 'FITS')
go
insert into file_extensions values ('LFL', 'WFC3', 'FITS')
go
insert into file_extensions values ('DFL', 'WFC3', 'FITS')
go
insert into file_extensions values ('SHD', 'WFC3', 'FITS')
go
insert into file_extensions values ('FLS', 'WFC3', 'FITS')
go
insert into file_extensions values ('BPX', 'WFC3', 'FITS')
go
insert into file_extensions values ('CCD', 'WFC3', 'FITS')
go
insert into file_extensions values ('LIN', 'WFC3', 'FITS')
go
insert into file_extensions values ('A2D', 'WFC3', 'FITS')
go
insert into file_extensions values ('CRR', 'WFC3', 'FITS')
go
insert into file_extensions values ('OSC', 'WFC3', 'FITS')
go
insert into file_extensions values ('IDC', 'WFC3', 'FITS')
go
insert into file_extensions values ('MDZ', 'WFC3', 'FITS')
go

/*     cos  */
insert into file_extensions values ('1DX', 'COS', 'FITS')
go
insert into file_extensions values ('BADT', 'COS', 'FITS')
go
insert into file_extensions values ('BPIX', 'COS', 'FITS')
go
insert into file_extensions values ('BRF', 'COS', 'FITS')
go
insert into file_extensions values ('BURST', 'COS', 'FITS')
go
insert into file_extensions values ('DEAD', 'COS', 'FITS')
go
insert into file_extensions values ('DISP', 'COS', 'FITS')
go
insert into file_extensions values ('FLAT', 'COS', 'FITS')
go
insert into file_extensions values ('GEO', 'COS', 'FITS')
go
insert into file_extensions values ('LAMP', 'COS', 'FITS')
go
insert into file_extensions values ('PHA', 'COS', 'FITS')
go
insert into file_extensions values ('PHOT', 'COS', 'FITS')
go
insert into file_extensions values ('TDS', 'COS', 'FITS')
go
insert into file_extensions values ('WALK', 'COS', 'FITS')
go
insert into file_extensions values ('WCP', 'COS', 'FITS')
go
insert into file_extensions values ('SPWCS', 'COS', 'FITS')
go
