/* ***************************************************************************** */
/* grant_cdbs_ops_permission.sql                                                 */
/*   set permission on CATLOG cdbs_ops database                                  */
/* ----------------------------------------------------------------------------- */
/* only dbo can run the sql file: mswam,kao                                      */
/* isql -SCATLOG -Dcdbs_ops -igrant_cdbs_ops_permission.sql -echo -ocdbs_ops.log */
/* ----------------------------------------------------------------------------- */
/* Permission example for This database :                                        */
/* grant all on <Table> to dbo,calwrite                                          */
/* go                                                                            */
/* grant select,update on <SOME_Instr_file_Table> to cdbs_modifier               */
/* go                                                                            */
/* grant select on <Table> to public                                             */
/* go                                                                            */
/* grant select on <View> to public                                              */
/* go                                                                            */
/* grant exec on <Procedure> public                                              */
/* go                                                                            */
/* ----------------------------------------------------------------------------- */
/* Note:                                                                         */
/*  the file is sort by table,view,procedure name                                */
/*  user cdbs_modifier is group name, current member is user 'datamgr'           */
/*  to add user:                                                                 */
/*    sp_adduser login_name[, db_user_name[, group]]                             */
/*  example:                                                                     */
/*    system_login_name,db_user_name are idential "scott", no group assigned     */
/*      sp_adduser scott                                                         */
/*    system_login and db_user not idential                                      */     
/*      sp_adduser bscott, scott                                                 */
/*    add user and group - scott has all cdbs_modifier's priviledge              */
/*      sp_adduser scott, scott, cdbs_modifier                                   */ 
/*  list cdbs_modifier group user:                                               */
/*      sp_helpuser cdbs_modifier                                                */
/* ----------------------------------------------------------------------------- */
/* History:                                                                      */
/*    Date     PR    Who     Description                                         */
/*  -------- ----- --------- --------------------------------------------------- */
/*  06/04/04 51419   kao     grant update to group cdbs_modifier                 */
/* ***************************************************************************** */


/* grant on table */
grant all on acs_file to dbo,calwrite
go
grant select,update on acs_file to cdbs_modifier
go
grant select on acs_file to public
go
grant all on acs_ins_for_trig to dbo,calwrite
go
grant select on acs_ins_for_trig to public
go
grant all on acs_prob to dbo,calwrite
go
grant select on acs_prob to public
go
grant all on acs_row to dbo,calwrite
go
grant select on acs_row to public
go
grant all on cdbs_lock to dbo,calwrite
go
grant select on cdbs_lock to public
go
grant all on cdbs_mode to dbo,calwrite
go
grant select on cdbs_mode to public
go
grant all on cos_file to dbo,calwrite
go
grant select,update on cos_file to cdbs_modifier
go
grant select on cos_file to public
go
grant all on cos_ins_for_trig to dbo,calwrite
go
grant select on cos_ins_for_trig to public
go
grant all on cos_row to dbo,calwrite
go
grant select on cos_row to public
go
grant all on delivery_number to dbo,calwrite
go
grant select on delivery_number to public
go
grant all on equiv_class_value to dbo,calwrite
go
grant select on equiv_class_value to public
go
grant all on file_extensions to dbo,calwrite
go
grant select on file_extensions to public
go
grant all on foc_file to dbo,calwrite
go
grant select on foc_file to public
go
grant all on foc_file_bad to dbo,calwrite
go
grant select on foc_file_bad to public
go
grant all on foc_prob to dbo,calwrite
go
grant select on foc_prob to public
go
grant all on foc_row to dbo,calwrite
go
grant select on foc_row to public
go
grant all on fos_file to dbo,calwrite
go
grant select on fos_file to public
go
grant all on fos_prob to dbo,calwrite
go
grant select on fos_prob to public
go
grant all on fos_row to dbo,calwrite
go
grant select on fos_row to public
go
grant all on hrs_file to dbo,calwrite
go
grant select on hrs_file to public
go
grant all on hrs_prob to dbo,calwrite
go
grant select on hrs_prob to public
go
grant all on hrs_row to dbo,calwrite
go
grant select on hrs_row to public
go
grant all on hsp_file to dbo,calwrite
go
grant select on hsp_file to public
go
grant all on hsp_prob to dbo,calwrite
go
grant select on hsp_prob to public
go
grant all on hsp_row to dbo,calwrite
go
grant select on hsp_row to public
go
grant all on instrument_abbreviations to dbo,calwrite
go
grant select on instrument_abbreviations to public
go
grant all on jobo to dbo,calwrite
go
grant select on jobo to public
go
grant all on multi_file to dbo,calwrite
go
grant select,update on multi_file to cdbs_modifier
go
grant select on multi_file to public
go
grant all on multi_prob to dbo,calwrite
go
grant select on multi_prob to public
go
grant all on multi_row to dbo,calwrite
go
grant select on multi_row to public
go
grant all on new_cal_files to dbo,calwrite
go
grant select on new_cal_files to public
go
grant all on new_cal_files_history to dbo,calwrite
go
grant select on new_cal_files_history to public
go
grant all on nic_file to dbo,calwrite
go
grant select,update on nic_file to cdbs_modifier
go
grant select on nic_file to public
go
grant all on nic_prob to dbo,calwrite
go
grant select on nic_prob to public
go
grant all on nic_row to dbo,calwrite
go
grant select on nic_row to public
go
grant all on opus_fields to dbo,calwrite
go
grant select on opus_fields to public
go
grant all on opus_log to dbo,calwrite
go
grant select on opus_log to public
go
grant all on relation_info to dbo,calwrite
go
grant select on relation_info to public
go
grant all on software to dbo,calwrite
go
grant select on software to public
go
grant all on stis_file to dbo,calwrite
go
grant select,update on stis_file to cdbs_modifier
go
grant select on stis_file to public
go
grant all on stis_prob to dbo,calwrite
go
grant select on stis_prob to public
go
grant all on stis_row to dbo,calwrite
go
grant select on stis_row to public
go
grant all on synphot_file to dbo,calwrite
go
grant select,update on synphot_file to cdbs_modifier
go
grant select on synphot_file to public
go
grant all on synphot_prob to dbo,calwrite
go
grant select on synphot_prob to public
go
grant all on synphot_row to dbo,calwrite
go
grant select on synphot_row to public
go
grant all on wfc3_file to dbo,calwrite
go
grant select,update on wfc3_file to cdbs_modifier
go
grant select on wfc3_file to public
go
grant all on wfc3_ins_for_trig to dbo,calwrite
go
grant select on wfc3_ins_for_trig to public
go
grant all on wfc3_row to dbo,calwrite
go
grant select on wfc3_row to public
go
grant all on wfpc2_file to dbo,calwrite
go
grant select,update on wfpc2_file to cdbs_modifier
go
grant select on wfpc2_file to public
go
grant all on wfpc2_prob to dbo,calwrite
go
grant select on wfpc2_prob to public
go
grant all on wfpc2_row to dbo,calwrite
go
grant select on wfpc2_row to public
go
grant all on wfpc_file to dbo,calwrite
go
grant select on wfpc_file to public
go
grant all on wfpc_prob to dbo,calwrite
go
grant select on wfpc_prob to public
go
grant all on wfpc_row to dbo,calwrite
go
grant select on wfpc_row to public
go
                                            
/* grant on view */

grant select on ncfhv to public
go
grant select on new_cal_files_historyv to public
go

/* grant on procedure */

grant exec on delete_delivery to public
go
grant exec on instrument_name to public
go
grant exec on opus_catalog_files to public
go
grant exec on showme to public
go
grant exec on update_archive_date to public
go
grant exec on update_ga_date to public
go
grant exec on update_opus_load_date to public
go
exit

