/*****************************************************************************/
/*                                                                           */
/*  File:    instrument_name.sp                                              */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  2/21/97                sl   Original                                     */
/*  11/11/98               sl   ACS added                                    */
/*  09/02/02               mss  WFC3 added                                   */
/*  09/17/03               mss  COS  added                                   */
/*                                                                           */
/*****************************************************************************/

drop procedure instrument_name
go

create procedure instrument_name
       @file varchar(60)
as

if exists (select * from hrs_file where file_name = @file)
begin
  select instrument = 'HRS'
  return
end

if exists (select * from foc_file where file_name = @file)
begin
  select instrument = 'FOC'
  return
end

if exists (select * from fos_file where file_name = @file)
begin
  select instrument = 'FOS'
  return
end

if exists (select * from wfpc_file where file_name = @file)
begin
  select instrument = 'WFPC'
  return
end 

if exists (select * from wfpc2_file where file_name = @file)
begin
  select instrument = 'WFPC2'
  return
end

if exists (select * from hsp_file where file_name = @file)
begin
  select instrument = 'HSP'
  return
end

if exists (select * from nic_file where file_name = @file)
begin
  select instrument = 'NIC'
  return
end

if exists (select * from stis_file where file_name = @file)
begin
  select instrument = 'STIS'
  return
end

if exists (select * from synphot_file where file_name = @file)
begin
  select instrument = 'SYNPHOT'
  return
end

if exists (select * from acs_file where file_name = @file)
begin
  select instrument = 'ACS'
  return
end

if exists (select * from wfc3_file where file_name = @file)
begin
  select instrument = 'WFC3'
  return
end

if exists (select * from cos_file where file_name = @file)
begin
  select instrument = 'COS'
  return
end

if exists (select * from multi_file where file_name = @file)
begin
  select instrument = 'MULTI'
  return
end

select instrument = 'UNKNOWN'

go
grant execute on instrument_name to public
go
