/*****************************************************************************/
/*                                                                           */
/*  File        : model_id_count.trig                                 */
/*                                                                           */
/*  Description : the trigger ensure table model_id only contains     */
/*                one record, if user attemps enter more than one record,    */
/*                an error message will be displayed and query will be       */
/*                aborted.                                                   */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  09/21/11              MSwam Original                                     */
/*                                                                           */
/*****************************************************************************/

create trigger model_id_count
on model_id
for insert as
declare @insert_value  int
declare @msg           varchar(80)
if (select count(*) from model_id) > 1
   begin   /* too many insert */
     select @insert_value = value from inserted
     print 'CDBS Error: "model_id" is a one row table.'
     print 'Inserting more then one row is not allowed,'
     select @msg = 'insert model_id.value = ' + rtrim(convert(char(50),@insert_value)) + ' failed.'
     print @msg
     rollback transaction
     return
   end     /* too many insert */

go
