/*****************************************************************************/
/*                                                                           */
/*  File name :   opus_fields_data.sql                                       */
/*  Related file : <instrument>_row.sql, file_extensions_data.sql,           */
/*                 relation_info_data.sql, cdbs_mode_data.sql                */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  12/11/98               sk   add ACS mode data                            */
/*  09/06/00    42348      sk   add ACS / flushcur, shutrpos                 */
/*  11/20/01    44673      sk   add ACS / obstype                            */
/*  04/16/02    45589      sk   add ACS/naxis1,naxis2,ltv1,ltv2 data         */
/*  09/05/03    46235      mss  add WFC3                                     */
/*  09/17/03    49436      mss  add COS                                      */
/*                                                                           */
/*****************************************************************************/

truncate table opus_fields
go

/* wfpc */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('reference_file_type', 'wfpc_file', 'N', 'file_type', 'ccaa_wfc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('camera', 'wfpc_row', 'Y', 'camera', 'ccaa_wfc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('mode', 'wfpc_row', 'Y', 'mode', 'ccaa_wfc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('clock', 'wfpc_row', 'Y', 'clock', 'ccaa_wfc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('shutter', 'wfpc_row', 'Y', 'shutter', 'ccaa_wfc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('filter1', 'wfpc_row', 'Y', 'filter_1', 'ccaa_wfc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('filter2', 'wfpc_row', 'Y', 'filter_2', 'ccaa_wfc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'wfpc_file', 'N', 'data_file', 'ccaa_wfc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'wfpc_file', 'N', 'qual_file', 'ccaa_wfc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'wfpc_file', 'N', 'use_after', 'ccaa_wfc_ref')
go


/* foc */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('reference_file_type', 'foc_file', 'N', 'file_type', 'ccab_foc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('pxformt', 'foc_row', 'Y', 'pxformt', 'ccab_foc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('optcrly', 'foc_row', 'Y', 'optcrly', 'ccab_foc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('smmmode', 'foc_row', 'Y', 'smmode', 'ccab_foc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('optelt1', 'foc_row', 'Y', 'optelt1', 'ccab_foc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('optelt2', 'foc_row', 'Y', 'optelt2', 'ccab_foc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('wavelength', 'foc_row', 'Y', 'optelt4', 'ccab_foc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('sampoff', 'foc_row', 'Y', 'sampoff', 'ccab_foc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('lineoff', 'foc_row', 'Y', 'lineoff', 'ccab_foc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('samppln', 'foc_row', 'Y', 'samppln', 'ccab_foc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('linepfm', 'foc_row', 'Y', 'linepfm', 'ccab_foc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('cammode', 'foc_row', 'Y', 'cammode', 'ccab_foc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'foc_file', 'N', 'header_file', 'ccab_foc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'foc_file', 'N', 'data_file', 'ccab_foc_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'foc_file', 'N', 'use_after', 'ccab_foc_ref')
go

/* fos */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('reference_file_type', 'fos_file', 'N', 'file_type', 'ccac_fos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('detector', 'fos_row', 'Y', 'detector', 'ccac_fos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('fchnl', 'fos_row', 'Y', 'fchnl', 'ccac_fos_ref')
go
/* ccac_fos_ref.nchnls = 0 */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('nxsteps', 'fos_row', 'Y', 'nxsteps', 'ccac_fos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('overscan', 'fos_row', 'Y', 'overscan', 'ccac_fos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('pass_dir', 'fos_row', 'Y', 'pass_dir', 'ccac_fos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('aper_id', 'fos_row', 'Y', 'aper_id', 'ccac_fos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('polar_id', 'fos_row', 'Y', 'polar_id', 'ccac_fos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('fgwa_id', 'fos_row', 'Y', 'fgwa_id', 'ccac_fos_ref')
go
/* ccac_fos_ref.grndmode = ' ' */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('aper_pos', 'fos_row', 'Y', 'aper_pos', 'ccac_fos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'fos_file', 'N', 'header_file', 'ccac_fos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'fos_file', 'N', 'data_file', 'ccac_fos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'fos_file', 'N', 'use_after', 'ccac_fos_ref')
go

/* hrs */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('reference_file_type', 'hrs_file', 'N', 'file_type', 'ccad_hrs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('detector', 'hrs_row', 'Y', 'detector', 'ccad_hrs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('grating', 'hrs_row', 'Y', 'grating', 'ccad_hrs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'hrs_file', 'N', 'header_file', 'ccad_hrs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'hrs_file', 'N', 'data_file', 'ccad_hrs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'hrs_file', 'N', 'use_after', 'ccad_hrs_ref')
go

/* wfpc2 */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('reference_file_type', 'wfpc2_file', 'N', 'file_type', 'ccau_wf2_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('mode', 'wfpc2_row', 'Y', 'mode', 'ccau_wf2_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('serials', 'wfpc2_row', 'Y', 'clock', 'ccau_wf2_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('shutter', 'wfpc2_row', 'Y', 'shutter', 'ccau_wf2_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('filter1', 'wfpc2_row', 'Y', 'filter_1', 'ccau_wf2_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('filter2', 'wfpc2_row', 'Y', 'filter_2', 'ccau_wf2_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('atodgain', 'wfpc2_row', 'Y', 'atodgain', 'ccau_wf2_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'wfpc2_file', 'N', 'data_file', 'ccau_wf2_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'wfpc2_file', 'N', 'qual_file', 'ccau_wf2_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'wfpc2_file', 'N', 'use_after', 'ccau_wf2_ref')
go

/* nic */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('camera', 'nic_row', 'Y', 'camera', 'ccan_nicmos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('filter', 'nic_row', 'Y', 'filter', 'ccan_nicmos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('readout', 'nic_row', 'Y', 'readout', 'ccan_nicmos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('nread', 'nic_row', 'Y', 'nread', 'ccan_nicmos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('samp_seq', 'nic_row', 'Y', 'samp_seq', 'ccan_nicmos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'nic_file', 'N', 'data_file', 'ccan_nicmos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'nic_file', 'N', 'use_after', 'ccan_nicmos_ref')
go

/* stis */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('reference_file_type', 'stis_file', 'N', 'filetype', 'ccao_stis_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'stis_file', 'N', 'data_file', 'ccao_stis_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'stis_file', 'N', 'use_after', 'ccao_stis_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('detector', 'stis_row', 'Y', 'detector', 'ccao_stis_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('ccdamp', 'stis_row', 'Y', 'ccdamp', 'ccao_stis_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('ccdgain', 'stis_row', 'Y', 'ccdgain', 'ccao_stis_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('opt_elem', 'stis_row', 'Y', 'opt_elem', 'ccao_stis_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('cenwave', 'stis_row', 'Y', 'cenwave', 'ccao_stis_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('obstype', 'stis_row', 'Y', 'obstype', 'ccao_stis_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('aperture', 'stis_row', 'Y', 'aperture', 'ccao_stis_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('binaxis1', 'stis_row', 'Y', 'binaxis1', 'ccao_stis_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('binaxis2', 'stis_row', 'Y', 'binaxis2', 'ccao_stis_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('ccdoffst', 'stis_row', 'Y', 'ccdoffst', 'ccao_stis_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('sclamp', 'stis_row', 'Y', 'sclamp', 'ccao_stis_ref')
go

/* caltable - foc_file */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('reference_file_type', 'foc_file', 'N', 'keyword', 'caltable')
go
/* caltable.instrument */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'foc_file', 'N', 'filename', 'caltable')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'foc_file', 'N', 'use_after', 'caltable')
go

/* caltable - fos_file */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('reference_file_type', 'fos_file', 'N', 'keyword', 'caltable')
go
/* caltable.instrument */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'fos_file', 'N', 'filename', 'caltable')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'fos_file', 'N', 'use_after', 'caltable')
go

/* caltable - hrs_file */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('reference_file_type', 'hrs_file', 'N', 'keyword', 'caltable')
go
/* caltable.instrument */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'hrs_file', 'N', 'filename', 'caltable')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'hrs_file', 'N', 'use_after', 'caltable')
go

/* caltable - hsp_file */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('reference_file_type', 'hsp_file', 'N', 'keyword', 'caltable')
go
/* caltable.instrument */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'hsp_file', 'N', 'filename', 'caltable')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'hsp_file', 'N', 'use_after', 'caltable')
go

/* caltable - wfpc2_file */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('reference_file_type', 'wfpc2_file', 'N', 'keyword', 'caltable')
go
/* caltable.instrument */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'wfpc2_file', 'N', 'filename', 'caltable')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'wfpc2_file', 'N', 'use_after', 'caltable')
go

/* caltable - wfpc_file */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('reference_file_type', 'wfpc_file', 'N', 'keyword', 'caltable')
go
/* caltable.instrument */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'wfpc_file', 'N', 'filename', 'caltable')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'wfpc_file', 'N', 'use_after', 'caltable')
go

/* caltable - nic_file */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('reference_file_type', 'nic_file', 'N', 'keyword', 'caltable')
go
/* caltable.instrument */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'nic_file', 'N', 'filename', 'caltable')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'nic_file', 'N', 'use_after', 'caltable')
go

/* caltable - synphot */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('reference_file_type', 'synphot_file', 'N', 'keyword', 'caltable')
go
/* caltable.instrument */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'synphot_file', 'N', 'filename', 'caltable')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'synphot_file', 'N', 'use_after', 'caltable')
go


/* acs */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'acs_file', 'N', 'data_file', 'ccaj_acs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'acs_file', 'N', 'use_after', 'ccaj_acs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('detector', 'acs_row', 'Y', 'detector', 'ccaj_acs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('ccdamp', 'acs_row', 'Y', 'ccdamp', 'ccaj_acs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('ccdgain', 'acs_row', 'Y', 'ccdgain', 'ccaj_acs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('filter1', 'acs_row', 'Y', 'filter1', 'ccaj_acs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('filter2', 'acs_row', 'Y', 'filter2', 'ccaj_acs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('flashcur', 'acs_row', 'Y', 'flashcur', 'ccaj_acs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('shutrpos', 'acs_row', 'Y', 'shutrpos', 'ccaj_acs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('obstype', 'acs_row', 'Y', 'obstype', 'ccaj_acs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('naxis1', 'acs_row', 'Y', 'naxis1', 'ccaj_acs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('naxis2', 'acs_row', 'Y', 'naxis2', 'ccaj_acs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('ltv1', 'acs_row', 'Y', 'ltv1', 'ccaj_acs_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('ltv2', 'acs_row', 'Y', 'ltv2', 'ccaj_acs_ref')
go

/* wfc3 */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'wfc3_file', 'N', 'data_file', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'wfc3_file', 'N', 'use_after', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('detector', 'wfc3_row', 'Y', 'detector', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('ccdamp', 'wfc3_row', 'Y', 'ccdamp', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('ccdgain', 'wfc3_row', 'Y', 'ccdgain', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('binaxis1', 'wfc3_row', 'Y', 'binaxis1', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('binaxis2', 'wfc3_row', 'Y', 'binaxis2', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('samp_seq', 'wfc3_row', 'Y', 'samp_seq', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('filter', 'wfc3_row', 'Y', 'filter', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('ccdchip', 'wfc3_row', 'N', 'ccdchip', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('ccdofsta', 'wfc3_row', 'N', 'ccdofsta', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('ccdofstb', 'wfc3_row', 'N', 'ccdofstb', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('ccdofstc', 'wfc3_row', 'N', 'ccdofstc', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('ccdofstd', 'wfc3_row', 'N', 'ccdofstd', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('crsplit', 'wfc3_row', 'N', 'crsplit', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('binx', 'wfc3_row', 'N', 'binx', 'ccai_wfc3_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('biny', 'wfc3_row', 'N', 'biny', 'ccai_wfc3_ref')
go

/* cos */
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('file_name', 'cos_file', 'N', 'data_file', 'ccal_cos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('useafter_date', 'cos_file', 'N', 'use_after', 'ccal_cos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('detector', 'cos_row', 'Y', 'detector', 'ccal_cos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('obstype', 'cos_row', 'Y', 'obstype', 'ccal_cos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('obsmode', 'cos_row', 'Y', 'obsmode', 'ccal_cos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('aperture', 'cos_row', 'N', 'aperture', 'ccal_cos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('opt_elem', 'cos_row', 'N', 'opt_elem', 'ccal_cos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('cenwave', 'cos_row', 'N', 'cenwave', 'ccal_cos_ref')
go
insert into opus_fields (cdbs_field, cdbs_table, cdbs_mode, opus_field, opus_table)
values ('segment', 'cos_row', 'N', 'segment', 'ccal_cos_ref')
go
