/*****************************************************************************/
/* STOP UPDATING THIS.  THE OPUS cc* TABLES ARE NO LONGER USED.    */
/*                                                                           */
/*  File name :   relation_info_data.sql                                     */
/*                                                                           */
/*  Related file : <instrument>_row.sql, file_extensions_data.sql,           */
/*                 opus_fields_data.sql, cdbs_mode_data.sql                  */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  07/08/96               sk   Original                                     */
/*  04/09/97   33811       sk   Add stis reference_file_type "MOC"           */
/*  12/17/97   35928       sk   Add stis reference_file_type "PCT"           */
/*  03/05/98   36456       sk   add FOS reference_file_type "PCP"            */
/*  12/11/98               sk   add ACS reference_file_type                  */
/*  01/25/98               sk   delete CDK,MDK add DRK from ACS              */
/*  02/24/99   38259/60    sk   add stis reference_file_type "WCP"           */
/*  09/06/00   42348       sk   add ACS reference_file_type "FLS"            */
/*  09/25/00   42445       sk   add 7 STIS  reference_file_type:             */
/*                              "CDS","ECH","EXS","HAL","RIP","SRW","TEL"    */
/*  05/31/01   43972       sk   add FOS "CCSF"                               */
/*  05/31/01   43974       sk   add FOS "CCSE"                               */
/*  09/21/01   44320       sk   add ACS IDC data                             */
/*  03/04/02   45289       sk   add NIC, TDD image data                      */
/*  04/12/02   45386       sk   add STIS, TDS reference data                 */
/*  04/12/02   45569       sk   add STIS, TDC reference data                 */
/*  09/02/02   46235       mss  add WFC3                                     */
/*  09/17/03   49436       mss  add COS                                      */
/*  07/01/04   51056       sk   add ACS/MDZ                                  */
/*  07/01/04   51066       sk   add ACS/DXY                                  */
/*  07/01/04   51069       sk   add WFPC2/IDC and OFF                        */
/*  10/12/04   51981       mss  add ACS/CFL,CSP                              */
/*  10/18/04   51962       mss  add NIC/IDC                                  */
/*  08/31/05   53525       mss  add STIS/GAC                                 */
/*  09/15/06   56377       mss  add NIC/SDK */
/*  05/21/07   xxxxx       mss  add NIC/NLC,ZPR */
/*  07/03/07   57851       mss  add WFPC2/W4T   */
/*  07/23/07   58375       mss  add COS/BURST */
/*  12/21/07   55604       mss  add NIC/SCN,PSB */
/*  05/15/08   60017       mss  remove unused ACS/PHT */
/*  05/28/08   59404       mss  add WFC3/MDZ                                 */
/*  08/14/08   60643       mss  add WFPC2/DXY   */
/*  09/18/08   60848       mss  add NIC/PMD,PMK  */
/*  11/07/08   xxxxx       mss  add NIC/TDF      */
/*  02/02/09   58375       mss  add COS/TDS      */
/*  02/22/11   66259       mss  add COS/SPWCS */
/*  06/27/11   68306       mss  add ACS/IMP */
/*  08/26/11   68293       mss  add COS/WALK */
/*  09/01/11   69084       mss  add ACS/D2I,NPL */
/*                                                                           */
/*****************************************************************************/

/* relation_info data */
truncate table relation_info
go

/* reference_file_type, instrument, type, opus_table */

insert into relation_info values ('BAC', 'FOC', 'I', 'ccab_foc_ref')
go
insert into relation_info values ('ITF', 'FOC', 'I', 'ccab_foc_ref')
go
insert into relation_info values ('SDE', 'FOC', 'I', 'ccab_foc_ref')
go
insert into relation_info values ('GEO', 'FOC', 'I', 'ccab_foc_ref')
go
insert into relation_info values ('BLM', 'FOC', 'I', 'ccab_foc_ref')
go
insert into relation_info values ('UNI', 'FOC', 'I', 'ccab_foc_ref')
go
insert into relation_info values ('UNITAB', 'FOC', 'T', 'caltable')
go

insert into relation_info values ('CCP0', 'HSP', 'T', 'caltable')
go
insert into relation_info values ('CCP1', 'HSP', 'T', 'caltable')
go
insert into relation_info values ('CCP2', 'HSP', 'T', 'caltable')
go
insert into relation_info values ('CCP3', 'HSP', 'T', 'caltable')
go
insert into relation_info values ('CCP4', 'HSP', 'T', 'caltable')
go
insert into relation_info values ('CCP5', 'HSP', 'T', 'caltable')
go
insert into relation_info values ('CCP7', 'HSP', 'T', 'caltable')
go
insert into relation_info values ('CCP8', 'HSP', 'T', 'caltable')
go
insert into relation_info values ('CCP9', 'HSP', 'T', 'caltable')
go

insert into relation_info values ('AIS', 'FOS', 'I', 'ccac_fos_ref')
go
insert into relation_info values ('BAC', 'FOS', 'I', 'ccac_fos_ref')
go
insert into relation_info values ('FLT', 'FOS', 'I', 'ccac_fos_ref')
go
insert into relation_info values ('IVS', 'FOS', 'I', 'ccac_fos_ref')
go
insert into relation_info values ('RET', 'FOS', 'I', 'ccac_fos_ref')
go
insert into relation_info values ('DDT', 'FOS', 'I', 'ccac_fos_ref')
go
insert into relation_info values ('QIN', 'FOS', 'I', 'ccac_fos_ref')
go
insert into relation_info values ('PCP', 'FOS', 'I', 'ccac_fos_ref')
go
insert into relation_info values ('LSF', 'FOS', 'I', 'ccac_fos_ref')
go
insert into relation_info values ('PSF', 'FOS', 'I', 'ccac_fos_ref')
go
insert into relation_info values ('CCS0', 'FOS', 'T', 'caltable')
go
insert into relation_info values ('CCS1', 'FOS', 'T', 'caltable')
go
insert into relation_info values ('CCS2', 'FOS', 'T', 'caltable')
go
insert into relation_info values ('CCS3', 'FOS', 'T', 'caltable')
go
insert into relation_info values ('CCS4', 'FOS', 'T', 'caltable')
go
insert into relation_info values ('CCS5', 'FOS', 'T', 'caltable')
go
insert into relation_info values ('CCS6', 'FOS', 'T', 'caltable')
go
insert into relation_info values ('CCS7', 'FOS', 'T', 'caltable')
go
insert into relation_info values ('CCS8', 'FOS', 'T', 'caltable')
go
insert into relation_info values ('CCS9', 'FOS', 'T', 'caltable')
go
insert into relation_info values ('CCSA', 'FOS', 'T', 'caltable')
go
insert into relation_info values ('CCSB', 'FOS', 'T', 'caltable')
go
insert into relation_info values ('CCSC', 'FOS', 'T', 'caltable')
go
insert into relation_info values ('CCSD', 'FOS', 'T', 'caltable')
go
insert into relation_info values ('CCG2', 'FOS', 'T', 'caltable')
go 
insert into relation_info values ('CCSE', 'FOS', 'T', 'caltable')
go
insert into relation_info values ('CCSF', 'FOS', 'T', 'caltable')
go


insert into relation_info values ('DIO', 'HRS', 'I', 'ccad_hrs_ref')
go
insert into relation_info values ('PHC', 'HRS', 'I', 'ccad_hrs_ref')
go
insert into relation_info values ('VIG', 'HRS', 'I', 'ccad_hrs_ref')
go
insert into relation_info values ('ABS', 'HRS', 'I', 'ccad_hrs_ref')
go
insert into relation_info values ('NET', 'HRS', 'I', 'ccad_hrs_ref')
go
insert into relation_info values ('QIN', 'HRS', 'I', 'ccad_hrs_ref')
go
insert into relation_info values ('SAA', 'HRS', 'I', 'ccad_hrs_ref')
go
insert into relation_info values ('WAVECAL', 'HRS', 'T', 'caltable')
go
insert into relation_info values ('CCR1', 'HRS', 'T', 'caltable')
go
insert into relation_info values ('CCR2', 'HRS', 'T', 'caltable')
go
insert into relation_info values ('CCR3', 'HRS', 'T', 'caltable')
go
insert into relation_info values ('CCR4', 'HRS', 'T', 'caltable')
go
insert into relation_info values ('CCR5', 'HRS', 'T', 'caltable')
go
insert into relation_info values ('CCR6', 'HRS', 'T', 'caltable')
go
insert into relation_info values ('CCR7', 'HRS', 'T', 'caltable')
go
insert into relation_info values ('CCR8', 'HRS', 'T', 'caltable')
go
insert into relation_info values ('CCR9', 'HRS', 'T', 'caltable')
go
insert into relation_info values ('CCRA', 'HRS', 'T', 'caltable')
go
insert into relation_info values ('CCRB', 'HRS', 'T', 'caltable')
go
insert into relation_info values ('CCRC', 'HRS', 'T', 'caltable')
go
insert into relation_info values ('CCRD', 'HRS', 'T', 'caltable')
go
insert into relation_info values ('CCG2', 'HRS', 'T', 'caltable')
go 
insert into relation_info values ('PTNELINEC', 'HRS', 'T', 'caltable')
go 
insert into relation_info values ('SCOFFC', 'HRS', 'T', 'caltable')
go
insert into relation_info values ('CCRE', 'HRS', 'T', 'caltable')
go 

insert into relation_info values ('MSK', 'WFPC2', 'I', 'ccau_wf2_ref')
go
insert into relation_info values ('A2D', 'WFPC2', 'I', 'ccau_wf2_ref')
go
insert into relation_info values ('BAS', 'WFPC2', 'I', 'ccau_wf2_ref')
go
insert into relation_info values ('DRK', 'WFPC2', 'I', 'ccau_wf2_ref')
go
insert into relation_info values ('FLT', 'WFPC2', 'I', 'ccau_wf2_ref')
go
insert into relation_info values ('SHD', 'WFPC2', 'I', 'ccau_wf2_ref')
go
insert into relation_info values ('IDC', 'WFPC2', 'T', 'ccau_wf2_ref')
go
insert into relation_info values ('OFF', 'WFPC2', 'T', 'ccau_wf2_ref')
go
insert into relation_info values ('W4T', 'WFPC2', 'I', 'ccau_wf2_ref')
go
insert into relation_info values ('DXY', 'WFPC2', 'I', 'ccau_wf2_ref')
go

insert into relation_info values ('A2D', 'WFPC', 'I', 'ccaa_wfc_ref')
go
insert into relation_info values ('BAS', 'WFPC', 'I', 'ccaa_wfc_ref')
go
insert into relation_info values ('DRK', 'WFPC', 'I', 'ccaa_wfc_ref')
go
insert into relation_info values ('FLT', 'WFPC', 'I', 'ccaa_wfc_ref')
go
insert into relation_info values ('DFLT', 'WFPC', 'I', 'ccaa_wfc_ref')
go
insert into relation_info values ('MSK', 'WFPC', 'I', 'ccaa_wfc_ref')
go
insert into relation_info values ('PRF', 'WFPC', 'I', 'ccaa_wfc_ref')
go
insert into relation_info values ('PSF', 'WFPC', 'I', 'ccaa_wfc_ref')
go
insert into relation_info values ('PUR', 'WFPC', 'I', 'ccaa_wfc_ref')
go
insert into relation_info values ('PHOTTAB', 'WFPC', 'T', 'caltable')
go

insert into relation_info values ('BIA', 'STIS', 'I', 'ccao_stis_ref')
go
insert into relation_info values ('DRK', 'STIS', 'I', 'ccao_stis_ref')
go
insert into relation_info values ('SSC', 'STIS', 'I', 'ccao_stis_ref')
go
insert into relation_info values ('PFL', 'STIS', 'I', 'ccao_stis_ref')
go
insert into relation_info values ('DFL', 'STIS', 'I', 'ccao_stis_ref')
go
insert into relation_info values ('LFL', 'STIS', 'I', 'ccao_stis_ref')
go
insert into relation_info values ('SSD', 'STIS', 'I', 'ccao_stis_ref')
go
insert into relation_info values ('CCD', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('A2D', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('CRR', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('BPX', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('LIN', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('PHT', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('APT', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('APD', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('LMP', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('IDC', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('SDC', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('IAC', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('DSP', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('1DT', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('1DX', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('MOC', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('PCT', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('WCP', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('CDS', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('ECH', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('EXS', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('HAL', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('RIP', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('SRW', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('TEL', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('TDS', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('TDC', 'STIS', 'T', 'ccao_stis_ref')
go
insert into relation_info values ('GAC', 'STIS', 'T', 'ccao_stis_ref')
go

insert into relation_info values ('MSK', 'NIC', 'I', 'ccan_nicmos_ref')
go
insert into relation_info values ('NOI', 'NIC', 'I', 'ccan_nicmos_ref')
go
insert into relation_info values ('LIN', 'NIC', 'I', 'ccan_nicmos_ref')
go
insert into relation_info values ('DRK', 'NIC', 'I', 'ccan_nicmos_ref')
go
insert into relation_info values ('FLT', 'NIC', 'I', 'ccan_nicmos_ref')
go
insert into relation_info values ('ILM', 'NIC', 'I', 'ccan_nicmos_ref')
go
insert into relation_info values ('TDD', 'NIC', 'I', 'ccan_nicmos_ref')
go
insert into relation_info values ('SDK', 'NIC', 'I', 'ccan_nicmos_ref')
go
insert into relation_info values ('PMD', 'NIC', 'I', 'ccan_nicmos_ref')
go
insert into relation_info values ('TDF', 'NIC', 'I', 'ccan_nicmos_ref')
go
insert into relation_info values ('PMK', 'NIC', 'I', 'ccan_nicmos_ref')
go
insert into relation_info values ('ZPR', 'NIC', 'T', 'ccan_nicmos_ref')
go
insert into relation_info values ('SCN', 'NIC', 'T', 'ccan_nicmos_ref')
go
insert into relation_info values ('PSB', 'NIC', 'T', 'ccan_nicmos_ref')
go
insert into relation_info values ('NLC', 'NIC', 'T', 'ccan_nicmos_ref')
go
insert into relation_info values ('PHT', 'NIC', 'T', 'caltable')
go
insert into relation_info values ('BKG', 'NIC', 'T', 'caltable')
go
insert into relation_info values ('IDC', 'NIC', 'T', 'caltable')
go

insert into relation_info values ('GRAPHTAB', 'SYNPHOT', 'T', 'caltable')
go   
insert into relation_info values ('COMPTAB', 'SYNPHOT', 'T', 'caltable')
go
insert into relation_info values ('THROUGHPUT', 'SYNPHOT', 'T', 'caltable')
go

insert into relation_info values ('BIA', 'ACS', 'I', 'ccaj_acs_ref')
go
insert into relation_info values ('DRK', 'ACS', 'I', 'ccaj_acs_ref')
go
insert into relation_info values ('PFL', 'ACS', 'I', 'ccaj_acs_ref')
go
insert into relation_info values ('LFL', 'ACS', 'I', 'ccaj_acs_ref')
go
insert into relation_info values ('DFL', 'ACS', 'I', 'ccaj_acs_ref')
go
insert into relation_info values ('SHD', 'ACS', 'I', 'ccaj_acs_ref')
go
insert into relation_info values ('FLS', 'ACS', 'I', 'ccaj_acs_ref')
go
insert into relation_info values ('DXY', 'ACS', 'I', 'ccaj_acs_ref')
go
insert into relation_info values ('CFL', 'ACS', 'I', 'ccaj_acs_ref')
go
insert into relation_info values ('BPX', 'ACS', 'T', 'ccaj_acs_ref')
go
insert into relation_info values ('CCD', 'ACS', 'T', 'ccaj_acs_ref')
go
insert into relation_info values ('LIN', 'ACS', 'T', 'ccaj_acs_ref')
go
insert into relation_info values ('A2D', 'ACS', 'T', 'ccaj_acs_ref')
go
insert into relation_info values ('CRR', 'ACS', 'T', 'ccaj_acs_ref')
go
insert into relation_info values ('OSC', 'ACS', 'T', 'ccaj_acs_ref')
go
insert into relation_info values ('IDC', 'ACS', 'T', 'ccaj_acs_ref')
go
insert into relation_info values ('MDZ', 'ACS', 'T', 'ccaj_acs_ref')
go
insert into relation_info values ('CSP', 'ACS', 'T', 'ccaj_acs_ref')
go
insert into relation_info values ('IMP', 'ACS', 'T', 'ccaj_acs_ref')
go
insert into relation_info values ('D2I', 'ACS', 'I', 'ccaj_acs_ref')
go
insert into relation_info values ('NPL', 'ACS', 'I', 'ccaj_acs_ref')
go

insert into relation_info values ('BIA', 'WFC3', 'I', 'ccai_wfc3_ref')
go
insert into relation_info values ('DRK', 'WFC3', 'I', 'ccai_wfc3_ref')
go
insert into relation_info values ('PFL', 'WFC3', 'I', 'ccai_wfc3_ref')
go
insert into relation_info values ('LFL', 'WFC3', 'I', 'ccai_wfc3_ref')
go
insert into relation_info values ('DFL', 'WFC3', 'I', 'ccai_wfc3_ref')
go
insert into relation_info values ('SHD', 'WFC3', 'I', 'ccai_wfc3_ref')
go
insert into relation_info values ('FLS', 'WFC3', 'I', 'ccai_wfc3_ref')
go
insert into relation_info values ('LIN', 'WFC3', 'I', 'ccai_wfc3_ref')
go
insert into relation_info values ('BPX', 'WFC3', 'T', 'ccai_wfc3_ref')
go
insert into relation_info values ('CCD', 'WFC3', 'T', 'ccai_wfc3_ref')
go
insert into relation_info values ('A2D', 'WFC3', 'T', 'ccai_wfc3_ref')
go
insert into relation_info values ('CRR', 'WFC3', 'T', 'ccai_wfc3_ref')
go
insert into relation_info values ('OSC', 'WFC3', 'T', 'ccai_wfc3_ref')
go
insert into relation_info values ('IDC', 'WFC3', 'T', 'ccai_wfc3_ref')
go
insert into relation_info values ('MDZ', 'WFC3', 'T', 'ccai_wfc3_ref')
go

insert into relation_info values ('FLAT', 'COS', 'I', 'ccal_cos_ref')
go
insert into relation_info values ('GEO', 'COS', 'I', 'ccal_cos_ref')
go
insert into relation_info values ('BADT', 'COS', 'T', 'ccal_cos_ref')
go
insert into relation_info values ('BRF', 'COS', 'T', 'ccal_cos_ref')
go
insert into relation_info values ('BURST', 'COS', 'T', 'ccal_cos_ref')
go
insert into relation_info values ('1DX', 'COS', 'T', 'ccal_cos_ref')
go
insert into relation_info values ('BPIX', 'COS', 'T', 'ccal_cos_ref')
go
insert into relation_info values ('DEAD', 'COS', 'T', 'ccal_cos_ref')
go
insert into relation_info values ('DISP', 'COS', 'T', 'ccal_cos_ref')
go
insert into relation_info values ('LAMP', 'COS', 'T', 'ccal_cos_ref')
go
insert into relation_info values ('PHA', 'COS', 'T', 'ccal_cos_ref')
go
insert into relation_info values ('PHOT', 'COS', 'T', 'ccal_cos_ref')
go
insert into relation_info values ('WCP', 'COS', 'T', 'ccal_cos_ref')
go
insert into relation_info values ('TDS', 'COS', 'T', 'ccal_cos_ref')
go
insert into relation_info values ('SPWCS', 'COS', 'T', 'ccal_cos_ref')
go
insert into relation_info values ('WALK', 'COS', 'T', 'ccal_cos_ref')
go
