#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "ostdb.h"
#include "loadfile.h"
#include "loadutils.h"
#include "cdbs_sql_gen.h"

/*
******************************************************************************
*
* Function:     set_equiv_class
*
* Purpose:      Sets the equivalence class information based on the
*               level of change.
*
* Returns:      a pointer to an EquivClass structure containing the  
*               equivalence class info.
*
******************************************************************************
*/

EquivClass *set_equiv_class(char *change_level,
                            char *compare_file,
                            EquivClass *old_equiv,
                            EquivClass *new_equiv
                            )
{
  EquivClass *equiv_class;

  equiv_class = (EquivClass *)malloc(sizeof(EquivClass));

  if ((strcmp(change_level, "SEVERE") == 0) ||
      (strcmp(compare_file, "(INITIAL)") == 0)){
    equiv_class->sev = new_equiv->sev;
    equiv_class->mod = new_equiv->mod;
  }else{
    if (strcmp(change_level, "MODERATE") == 0){
      equiv_class->sev = old_equiv->sev;
      equiv_class->mod = new_equiv->mod;
    }else{
      if (strcmp(change_level, "TRIVIAL") == 0){
	equiv_class->sev = old_equiv->sev;
	equiv_class->mod = old_equiv->mod;
      }else{
	printf("CHANGE_LEVEL is not set for all rows in the load file\n");
	return(NULL);
      }
    }
  }

  return(equiv_class);
}
