#include <stdio.h>
#include "error.h"
#include "system.h"
#include "cdbslib.h"
#include "expload.h"
#include "cdbserror.h"

//-----------------------------------------------------------------------
// OPEN_RULES -- Open the expload rules file
// 
// rules	i: rules file name
//
// History:
// 09/20/04  52054  MSwam  replace DATADIR hard-code with envvar
// 04/08/11  67644  MSwam  replace envvar with datadir() call
//
//-----------------------------------------------------------------------

FILE *open_rules (char *rules)
{
    FILE	*fd;
    char	dir[SZ_FNAME+1], root[SZ_FNAME+1], ext[SZ_FNAME+1];
    char	fname[SZ_FNAME+1], cdbs_data_dir[SZ_FNAME+1];

    // First, look for rules file under its original name

    fd = fopen (rules, "r");

    // If it's not there and the filename does not have a directory on it
    // look in the data directory for the rules file
    //
    if (fd == NULL) {
	breakfname (rules, dir, root, ext, SZ_FNAME);
	if (dir[0] == EOS) {
          safecopy(fname, datadir(cdbs_data_dir), SZ_FNAME);
	  safecat (fname, rules, SZ_FNAME);
	  fd = fopen (fname, "r");
	}
    }

    if (fd == NULL)
	cdbs_error (NOTOPEN, "%s", rules);

    return (fd);
}
