#include <string.h>
#include "error.h"
#include "config.h"
#include "loadfile.h"
#include "reffile.h"
#include "cdbslib.h"
#include "cdbserror.h"
#include "expload.h"
#include "mkload.h"

//===================================================================
//
// Name: mkload_expload_rules_filename
//
// Description:  Forms the expload rules filename, given an instrument
//               name.  It uses the CDBS_DATA env var setting as the
//               directory for the rules file.
//
// History:
// --------
// 06/08/11 68503 MSwam     first version
//
//===================================================================

void mkload_expload_rules_filename(
       char *instrument,     // i : instrument for this ref file
       char *rules_filename  // i : name of expload rules file
       )
{
   char cdbs_data_dir[SZ_FNAME+1];
   safecopy(rules_filename, datadir(cdbs_data_dir), SZ_FNAME);
   safecat(rules_filename, instrument, SZ_FNAME);
   safecat(rules_filename, ".rule", SZ_FNAME);
   cdbs_debug("expload rules_filename = %s\n",rules_filename);

   return;
}
