#include "cdbslib.h"
#include "loadfile.h"
#include "datafile.h"
#include "config.h"
#include "mkload.h"

/* TASK -- Main routine for the mkload task */
/*  History:
*  09/20/04  52054  MSwam  use topdir
*  04/08/11  67644  MSwam  use datadir instead of topdir
*/

void task (int argc, char **argv)
{
    int		iarg;
    table	*look;
    char	catalog[SZ_FNAME+1], cdbs_data_dir[SZ_FNAME+1];
    char	catcols[] = CATALOG_COLS;

    /* fill catalog name */
    safecopy(catalog, datadir(cdbs_data_dir), SZ_FNAME);
    safecat(catalog, CATALOG_NAME, SZ_FNAME);

    /* Create a loadfile for each input reference file */

    look = open_lookup (catalog, catcols);

    for (iarg = 1; iarg < argc; iarg ++) {
	 if (is_datafile (argv[iarg]) == NO)
	      mkload (look, argv[iarg]);
    }

    close_lookup (look);
}
 
