# 
##############################################################################
#
# Application Name:     opus_fitsverify
#
# Purpose:     Verify that fits files conform to the fits standard
#
# Modification History:
#
#   Date       OPR        Who       Reason
# --------   -------  ------------  -----------------------------------------
# 11/21/03   49769    jschultz      to build the initial version of the 
#                                   opus_fitsverify tool.  This tool is a 
#                                   modification of the fitsverify tool provided
#                                   by HEASARC at GSFC.  The opus_fitsverify
#                                   tools supports additional command line
#                                   arguments that are not directly supported by
#                                   the original stand-alone fitsverify tool.
#                                   These additional arguments enable the
#                                   opus_fitsverify tool to be more flexible
#                                   than the fitsverify tool when checking for
#                                   fits file errors
# 06/07/04   51411    jschultz      changed to use opus_fvrf_data.cpp,
#                                   opus_fvrf_file.cpp, opus_fvrf_head.cpp,
#                                   opus_fvrf_key.cpp, and opus_fvrf_misc.cpp 
# 10/01/06   52073    Sontag        do not force this to build with warnings on
##############################################################################
#
bin_name = opus_fitsverify

# List the source files here:
sources = opus_ftverify.c \
        opus_fvrf_data.c \
        opus_fvrf_file.c \
        opus_fvrf_head.c \
        opus_fvrf_key.c \
        opus_fvrf_misc.c


# Include SHARE Common definitions
include Makeshare.include

COMPDEFS += -DSTANDALONE
INCDIRS += $(CFITSIO_INCDIRS) 
CCFLAGS := $(filter-out -Wall -W, $(CCFLAGS))
LINKLIBS += $(CFITSIO_LIBS) -lm

ifeq ($(OSNAME),SunOS)
   LINKLIBS += -lsocket -lnsl
endif
