#include "cdbslib.h"
#include "loadfile.h"
#include "config.h"
#include "datafile.h"
#include "alist.h"
#include "uniqname.h"

/* TASK -- Main routine for the uniqname task */
/* History:
*  09/20/04  52054  MSwam  use topdir
*  04/08/11  67644  MSwam  use datadir
*/

void task (int argc, char **argv)
{
    int		iarg;
    table	*look;
    alist	*newlist;
    char	catalog[SZ_FNAME+1], cdbs_data_dir[SZ_FNAME+1];
    char	catcols[] = CATALOG_COLS;

    /* define the catalog location */
    safecopy(catalog, datadir(cdbs_data_dir), SZ_FNAME);
    safecat(catalog, CATALOG_NAME, SZ_FNAME);

    newlist = create_alist ();
    look = open_lookup (catalog, catcols);

    for (iarg = 1; iarg < argc; iarg ++) {
        if (is_datafile (argv[iarg]) == NO)
	    uniqname (look, argv[iarg], newlist);
    }

    close_lookup (look);
    free_alist (newlist);
}
 
