#include <string.h>
#include "config.h"
#include "cdbslib.h"
#include "getref.h"

#define  OMIT		1
#define  PERFORM	2
#define  COMPLETE	3
#define  SKIPPED	4

/* CHECK_SWITCH -- Check switch for legal value
 *
 * u: value	value to be checked
 */

int check_switch (char *value) {

    int		status;
    static char *switch_vals = "omit|perform|complete|skipped";

    switch (strmatch (value, switch_vals)) {
    case OMIT:
	status = OK;
	break;

    case PERFORM:
	status = OK;
	break;

    case COMPLETE:
	/* Convert completed to perform */
	strcpy (value, "perform");
	status = OK;
	break;

    case SKIPPED:
	/* Convert skipped value to perform */
	strcpy (value, "perform");
	status = OK;
	break;

    default:
	/* Blank is legal, all other strings illegal */
	status = (value[0] == EOS) ? OK : ERR;
    }

    return (status);
}
