#include "dbquery.h"
#include "error.h"
#include "cdbslib.h"
#include "loadfile.h"
#include "getref.h"

/* GETREF_ONE -- Provide detailed information about a single reference file
 *
 */

table *getref_one (void) 
{
    context	*qry;
    table	*tab;
    int		done, ivar;
    char	*root, *reffile;
    char	*cdbsname[MAXMODE];

    qry = init_query ();

    /* Read task arguments */

    root = get_option ("root");
    reffile = get_option ("reffile");

    /* Get observation mode field names */

    qry_obsmode (qry, reffile, cdbsname, MAXMODE);

    /* Perform different queries depending on whether
     * there are no mode fields for this table 
     */

    if (cdbsname[0][0] == EOS) {
	tab = qry_nomode (qry, root, reffile);
    } else {
	tab = qry_noroot (qry, reffile, cdbsname);
    }

    done = NO;
    free_query (qry);

    for (ivar = 0; done == NO; ivar ++) {
        if (cdbsname[ivar][0] == EOS)
	    done = YES;

	free (cdbsname[ivar]);
    }

    if (nrow_table (tab) == 0)
	cdbs_error (NOREFFILE, "%s", reffile);

    return (tab);
}
