#include "config.h"
#include "loadfile.h"
#include "getref.h"

/* SEARCH_TABLE -- Search table for a row matching filename and keyword
 *
 * i: tab	table descriptor
 * i: fname	filename to match
 * i: keyword	keyword name to match
 */

int search_table (table *tab, char *fname, char *keyword) {

    int		irow, fcol, kcol;
    char	*name, *value;

    fcol = get_tab_colnum (tab, "FILENAME");
    kcol = get_tab_colnum (tab, "KEYWORD");

    for (irow = 0; irow < nrow_table (tab); irow ++) {
	name = get_tab_cell_bynum (tab, fcol, irow);
	value = get_tab_cell_bynum (tab, kcol, irow);

	if (streq (fname, name) && streq (keyword, value))
	    return irow;
    }

    return ERR;
}
