#include "ostdb.h"
#include "cdbslib.h"
#include "dbquery.h"
#include "getref.h"

/* SET_TRANSACT -- Begin or commit a database transaction
 *
 * i: qry	Database query context
 * i: dataset	Dataset involved in transaction
 * i: flag	Start or stop query
 */

void set_transact (context *qry, char *dataset, int flag) {

    int		status;

    static char *transact_fmt[2] = {
	"commit transaction obs_^",
	"begin transaction obs_^"};

    ostdb_query_setup (qry->connection, "set_transact", 1, STDB_SQL,
		       qry->server, qry->dads_db, db_error);

    build_qry (qry->connection, transact_fmt[flag], dataset);

    status = ostdb_get_exec (qry->connection);

    stdb_close_query (qry->connection);
}
