#include <string.h>
#include <stdlib.h>
#include "error.h"
#include "cdbslib.h"
#include "cdbserror.h"

//===================================================================
// CDBS LIBRARY
//   Name: refdir
//===================================================================

char *refdir (char *theRefDir)

/* REFDIR -- Obtain CDBS REF directory from environment variable value
 *
 * i/o: refdir - directory name for location of CDBS reference file directories
 *                (will find acs, cos, stis, and comp subdirs there)
 *               (sufficient space must be allocated in called)
 *
 * History:
 * 09/20/04  52054  MSwam  first version to replace hard-codes with envvar call
 */
{
    char	*envvar;

    /*  
     * get cdbs ref directory from CDBS_REF envvar */
    envvar = getenv ("CDBS_REF");
    if (envvar != NULL) {
      strcpy(theRefDir, envvar);
    }
    else {
      /* default value */
      strcpy(theRefDir, "/store/smalls/ref/");
      cdbs_debug("defaulting RefDir to %s\n",theRefDir);
    }
    return (theRefDir);
}
