#include <string.h>
#include <stdlib.h>
#include "error.h"
#include "cdbslib.h"
#include "cdbserror.h"

//===================================================================
// CDBS LIBRARY
//   Name: topdir
//===================================================================

char *topdir (char *theTopDir)

/* TOPDIR -- Obtain top directory from environment variable value
 *
 * i/o: topdir - directory name for top of CDBS software tree
 *               (sufficient space must be allocated in called)
 *
 * History:
 * 09/20/04  52054  MSwam  first version to replace hard-codes with envvar call
 */
{
    char	*envvar;

    /*  
     * get top cdbs directory from CDBS_TOP envvar */
    envvar = getenv ("CDBS_TOP");
    if (envvar != NULL) {
      strcpy(theTopDir, envvar);
    }
    else {
      /* default value */
      strcpy(theTopDir, "/store/smalls/cdbs/tools/");
      cdbs_debug("defaulting TopDir to %s\n",theTopDir);
    }
    return (theTopDir);
}
