#include <stdlib.h>
#include "ostdb.h"
#include "dbquery.h"
#include "config.h"
#include "cdbslib.h"

//=============================================================
// DATABASE ACCESS LIBRARY
//   Name: init_query
//=============================================================

//---------------------------------------------------------------
// Name: init_query
//
// Purpose: initialize DB query context
//
// Description: Checks envvar settings for
//                CDBS_SERVER
//                CDBS_DB
//                CDBS_USER (or USER)
//              and if found, sets context vars from them, or if not
//              uses hard-coded defaults in inc/db_query.h
//
//---------------------------------------------------------------

context *init_query (void)
{
    context	*qry;
    char	*server, *cdbs_db, *user;

    qry = (context *) malloc (sizeof (context));

    qry->connection = STDB_CONN_1;

    server = getenv ("CDBS_SERVER");
    if (server == NULL || server[0] == EOS) {
	safecopy (qry->server, CDBS_SERVER, SZ_STRING);
    } else {
	safecopy (qry->server, server, SZ_STRING);
    }

    cdbs_db = getenv ("CDBS_DB");
    if (cdbs_db == NULL || cdbs_db[0] == EOS) {
	safecopy (qry->cdbs_db, CDBS_DB, SZ_STRING);
    } else {
	safecopy (qry->cdbs_db, cdbs_db, SZ_STRING);
    }

    return (qry);
}
