#include <stdio.h>
#include "error.h"
#include "cdbslib.h"

#define  SZ_ERRBUF	2000

//====================================================================
// WEB LIBRARY routine
//   Name: cgi_error, cgi_errbuf
//====================================================================

/* CGI_ERROR -- Create an HTML form from the error message 
 *
 * i: flag	The error level flag
 * i: message	The error message text
 */

static char errbuf[SZ_ERRBUF+1] = "";

static char html_errtop[]="Content-type: text/html\n\n";
static char html_errhdr[]="<HEAD><TITLE>CGI Error</TITLE></HEAD>\n<BODY>\n";
static char html_errfmt[]="<H1>CGI Error</H1>\n<PRE>\n%s\n</PRE>\n";
static char html_errtail[]="</BODY>\n";

void cgi_error (const int flag, const char *message)
{
    safecat (errbuf, message, SZ_ERRBUF);

    if (flag == ERROR_MSG) {
	fputs (html_errtop, stdout);
	fputs (html_errhdr, stdout);
	fprintf (stdout, html_errfmt, errbuf);
	fputs (html_errtail, stdout);
    }
}

/* CGI_ERRBUF -- Return address of error buffer
 *
 */

char *cgi_errbuf (void) {

    return errbuf;
}
