#include <string.h>
#include "config.h"
#include "cdbslib.h"

//=================================================================
// REFFILE LIBRARY
//   Name: is_fitsname
//==================================================================

/* IS_FITSNAME -- Return YES if filename has a fits extension 
 *
 * i: fname	reference_file_name
 */

int is_fitsname (char *fname)
{
    char	dir[SZ_FNAME+1], root[SZ_FNAME+1], ext[SZ_FNAME+1];

    breakfname (fname, dir, root, ext, SZ_FNAME);

    /* Determine filetype by checking extension. The extensions 
     * matched must agree with those in the fits kernel
     */

    if (strcmp (ext, ".fits") == 0) {
        return (YES);
    } else if (strcmp (ext, ".fit") == 0) {
        return (YES);
    } else if (ext[3] == 'f' && ext[4] == EOS) {
        return (YES);
    }

    return (NO);
}

