#! /bin/sh
#
# Name: cc_reject4_a.s
#
# Description: Check that files are not rejected
#              by other files in the same delivery for this delivery.
#
# Called by:   
# 
# Requires:    env var CDBS_SERVER
#              env var CDBS_DB
#
# Usage:       cc_reject4_a.s instrumentPrefix deliveryNumber
#
#-------------------------------------------------------------------------
isql -S$CDBS_SERVER << EOF 
use $CDBS_DB
go

if exists (select * from $1_file f1 where reject_flag = 'Y'
     and delivery_number = $2
     and $2 in (select delivery_number from $1_file f2 where
               f2.file_name = f1.reject_by_file_name and
               f2.delivery_number = $2) )
begin
 print '-> CDBS ERROR:'
 print '->  rejected by another file in the same delivery for instrument $1'
 print '->      file name                                          delivery_number'
 select distinct '->', file_name, delivery_number 
     from $1_file f1 where reject_flag = 'Y'
     and delivery_number = $2
     and $2 in (select delivery_number from $1_file f2 where
               f2.file_name = f1.reject_by_file_name and
               f2.delivery_number = $2) 
 print '->'
end
go
