#!/bin/env python
#
# Name: pyfits_verify
#
# Description: Will run the PyFITS verification function on ALL of the
#              command-line arguments.
#
#              NOTE: When a problem is found for a file, the task stops
#                    immediately, and doesn't go on through any other files
#                    in the directory that haven't been checked yet.  So it
#                    only finds 1 problem per run (you have to keep running
#                    it until you get a clean run).
#
# Returns:  0 = no problems found
#           1 = a FITS file problem was found
#
# History:
# 09/09/11  xxxxx  MSwam   first version (suggested by Warren Hack)
#--------------------------------------------------------------------------
import sys
import glob
import pyfits
#
for img in sys.argv[1:]:
        print 'pyFITS Verification for ',img
        # will throw an exception if a FITS problem is found, which results
        # in immediate exit status = 1
        pyfits.open(img).verify(option='exception')
#
# no problems found, exit status = 0
sys.exit(0)
