#!/bin/sh
#
# Name: update_ga_date_sql.s
#
# Description: Updates the general availability date for a CDBS deliveryNumber,
#              using a stored procedure call.
#
# Called by:   update_ga_date.s
#
# Requires:    env var CDBS_SERVER
#
# Usage: update_ga_date_sql.s databaseName deliveryNumber
#
#--------------------------------------------------------------------------
isql -S$CDBS_SERVER << EOF
use $1
go
declare @status int
declare @rows int
execute @status = update_ga_date @delivery_number = $2
if (@status = 0) 
   print 'Update of general_availability_date for delivery $2 OK'
else
   print 'Update of general_availability_date for delivery $2 failed: status = '+convert(varchar,@status)
go
