include	<fset.h>

#* HISTORY *
#* B.Simon	28-Jun-92	Original
#* B.Simon	30-Oct-97	Rewritten to run outside cdbs
#* B.Simon	06-Feb-98	Removed oldfile
#* B.Simon	15-Jul-98	Modified to handle new getref output
#* B.Simon	07-Dec-98	Allow image templates in delta file

# UPREFFILE -- Update an image with the names of the best reference files

procedure upreffile ()

#--
pointer	input		# input file, produced by getreffile
bool	verify		# verify each change to the header?

int	ref
pointer	sp, key, value, template, file, oper, oldfile, errmsg, list, im

string	badimage "Cannot open image (%s)\n"


bool	clgetb(), strne()
int	fstati(), open(), imtgetim(), rd_reffile()
pointer	immap(), imtopen()

begin
	call smark (sp)
	call salloc (input, SZ_FNAME, TY_CHAR)
	call salloc (key, SZ_FNAME, TY_CHAR)
	call salloc (value, SZ_FNAME, TY_CHAR)
	call salloc (template, SZ_FNAME, TY_CHAR)
	call salloc (file, SZ_FNAME, TY_CHAR)
	call salloc (oper, SZ_FNAME, TY_CHAR)
	call salloc (oldfile, SZ_FNAME, TY_CHAR)
	call salloc (errmsg, SZ_LINE, TY_CHAR)

	call post_exit_handler ()

	if (fstati (STDIN, F_REDIR) == NO) {
	    call clgstr ("input", Memc[input], SZ_FNAME)
	} else {
	    call strcpy ("STDIN", Memc[input], SZ_FNAME)
	}

	verify = clgetb ("verify")

	ref = open (Memc[input], READ_ONLY, TEXT_FILE)

	im = NULL
	Memc[oldfile] = EOS

	while (rd_reffile (ref, Memc[key], Memc[value], Memc[template], 
			   Memc[oper], SZ_FNAME) != EOF) {

	    list = imtopen (Memc[template])
	    while (imtgetim (list, Memc[file], SZ_FNAME) != EOF) {
		if (strne (Memc[file], Memc[oldfile])) {
		    if (im != NULL)
			call imunmap (im)

		    iferr {
			im =  immap (Memc[file], READ_WRITE, NULL)
		    } then {
			call sprintf (Memc[errmsg], SZ_LINE, badimage)
			call pargstr (Memc[file])
			call error (1, Memc[errmsg])
		    }

		    call strcpy (Memc[file], Memc[oldfile], SZ_FNAME)
		}

		if (im != NULL)
		    call upheader (im, Memc[key], Memc[value], 
				   Memc[oper], verify)
	    }

	    call imtclose (list)
	}

	if (im != NULL)
	    call imunmap (im)

	call close (ref)
	call sfree (sp)
end
