use cdbs_dev
go

if (select count(*) from delivery_number) > 0 
  update delivery_number set value = 100
else
  insert into delivery_number values (100)

declare @filename varchar(50) 
declare @dv_num   int

/* test table : filename = "WFPC_PHOTAB_100.CW0" */
select  @dv_num = value + 1 from delivery_number
select  @filename = "WFPC_PHOTAB_" + convert(char(3),@dv_num) + ".CW0"

insert into wfpc_row (file_name, expansion_number, camera, filtnam1, filtnam2,
shutter, flatfield, equivalence_class_severe, equivalence_class_moderate,
pedigree, observation_begin_date, observation_end_date, comment) values
(@filename, 0, "cm", "fname1", "fname2", "s", "ft1", 1, 1, "INFLIGHT",
"Nov  3 1996 12:00AM", "Nov  4 1996 12:00AM", "PHOTAB_COMMENT")

insert into wfpc_file (delivery_number, reference_file_type, file_name,
expansion_number, useafter_date, opus_flag, comment, reject_flag) 
values (@dv_num, "PHOTAB", @filename, 0, "Oct 20 1996  2:37PM", 
"Y", "PHOTAB_COMMENT", "N")

update delivery_number set value = @dv_num

/* test image : filename = "WFPC_A2D_101.R1H" */
select  @dv_num = value + 1 from delivery_number
select  @filename = "WFPC_A2D_" + convert(char(3),@dv_num) + ".R1H"

insert into wfpc_row (file_name, expansion_number, camera, mode,
equivalence_class_severe, equivalence_class_moderate, pedigree, 
observation_begin_date, observation_end_date, comment) values
(@filename, 0, "c0", "mod0", 1, 1, "INFLIGHT", "Nov  3 1996 12:00AM", 
"Nov  4 1996 12:00AM", "A2D_101_R1H_COMMENT")

insert into wfpc_file (delivery_number, reference_file_type, file_name,
expansion_number, useafter_date, opus_flag, comment, reject_flag) 
values (@dv_num, "A2D", @filename, 0, "Oct 20 1996  2:37PM", "Y",
"A2D_R1H_COMMENT", "N")

update delivery_number set value = @dv_num

/* test image : filename = "WFPC_A2D_102.R1D", exp = 0 */
select  @dv_num = value + 1 from delivery_number
select  @filename = "WFPC_A2D_" + convert(char(3),@dv_num) + ".R1D"

insert into wfpc_row (file_name, expansion_number, camera, mode,
equivalence_class_severe, equivalence_class_moderate, pedigree, 
observation_begin_date, observation_end_date, comment) values
(@filename, 0, "c0", "mod0", 1, 1, "INFLIGHT", "Nov  3 1996 12:00AM", 
"Nov  4 1996 12:00AM", "A2D_102_R1D_COMMENT")

insert into wfpc_file (delivery_number, reference_file_type, file_name,
expansion_number, useafter_date, opus_flag, comment, reject_flag) 
values (@dv_num, "A2D", @filename, 0, "Oct 20 1996  2:37PM", "Y",
"A2D_102_R1D_COMMENT", "N")

update delivery_number set value = @dv_num

/* test image : filename = "WFPC_A2D_102.R1D", exp = 1 */
select  @dv_num = value + 1 from delivery_number

insert into wfpc_row (file_name, expansion_number, camera, mode,
equivalence_class_severe, equivalence_class_moderate, pedigree, 
observation_begin_date, observation_end_date, comment) values
(@filename, 1, "c1", "mod1", 1, 1, "INFLIGHT", "Nov  3 1996 12:00AM", 
"Nov  4 1996 12:00AM", "A2D_103_R1D_COMMENT")

insert into wfpc_file (delivery_number, reference_file_type, file_name,
expansion_number, useafter_date, opus_flag, comment, reject_flag) 
values (@dv_num, "A2D", @filename, 1, "Oct 20 1996  2:37PM", "Y",
"A2D_103_R1D_COMMENT", "N")

update delivery_number set value = @dv_num
go
exit
