/* 
   Filename   : update_opus_test.sql

   Description: this is the test data for CDBS tool "update_opus",
                if the database table is empty, you may load this
                file to the database and then run test update_opus

   Usage      : $ # use default db account and default database
                $ isql -en -S <server> -i update_opus_test.sql

                then you can run "update_opus" by :
                $ update_opus <server> <dbname> 172 ! will generate opus_172.sql
                $ update_opus <server> <dbname> ! will generate opus_174.sql
                                      ! since 174 is the latest delivery number

*/  
insert into delivery_number values (100)
go

/* test table */

insert into wfpc_row (file_name, expansion_number, camera, filtnam1, filtnam2,
 shutter, flatfield, equivalence_class_severe, equivalence_class_moderate,
 pedigree, observation_begin_date, observation_end_date, comment) values
 ("WFPC_PHOTAB.CW0", 0, "cm", "fname1", "fname2", "s", "ft1", 1, 1, 
  "pedigree1", "Nov  3 1996 12:00AM", "Nov  4 1996 12:00AM", "PHOTAB_COMMENT")
go

insert into wfpc_file (delivery_number, reference_file_type, file_name, 
expansion_number, useafter_date, opus_flag, comment, 
general_availability_date, reject_flag) values (170, "PHOTAB", 
"WFPC_PHOTAB.CW0", 0, "Oct 20 1996  2:37PM", "Y", 
"PHOTAB_COMMENT", "Nov  5 1996 12:00AM", "N")
go

update delivery_number set value = 170
go

/* test image */
insert into wfpc_row (file_name, expansion_number, camera, mode,
 equivalence_class_severe, equivalence_class_moderate,
 pedigree, observation_begin_date, observation_end_date, comment) values
 ("WFPC_A2D.R1H", 0, "cm", "mode", 1, 1, 
  "pedigree1", "Nov  3 1996 12:00AM", "Nov  4 1996 12:00AM", "A2D_R1H_COMMENT")
go

insert into wfpc_file (delivery_number, reference_file_type, file_name, 
expansion_number, useafter_date, opus_flag, comment, 
general_availability_date, reject_flag) values (171, "A2D", 
"WFPC_A2D.R1H", 0, "Oct 20 1996  2:37PM", "Y", 
"A2D_R1H_COMMENT", "Nov  5 1996 12:00AM", "N")
go

update delivery_number set value = 171
go


insert into wfpc_row (file_name, expansion_number, camera, mode,
 equivalence_class_severe, equivalence_class_moderate,
 pedigree, observation_begin_date, observation_end_date, comment) values
 ("WFPC_A2D.R1D", 0, "cm", "mode", 1, 1, 
  "pedigree1", "Nov  3 1996 12:00AM", "Nov  4 1996 12:00AM", "A2D_R1H_COMMENT")
go

insert into wfpc_file (delivery_number, reference_file_type, file_name, 
expansion_number, useafter_date, opus_flag, comment, 
general_availability_date, reject_flag) values (172, "A2D", 
"WFPC_A2D.R1D", 0, "Oct 20 1996  2:37PM", "Y", 
"A2D_R1H_COMMENT", "Nov  5 1996 12:00AM", "N")
go

update delivery_number set value = 172
go

insert into wfpc_row (file_name, expansion_number, camera, mode,
 equivalence_class_severe, equivalence_class_moderate,
 pedigree, observation_begin_date, observation_end_date, comment) values
 ("WFPC_A2D1.R1D", 0, "cm", "mode", 1, 1, 
  "pedigree1", "Nov  3 1996 12:00AM", "Nov  4 1996 12:00AM", "A2D_R1H_COMMENT")
go

insert into wfpc_file (delivery_number, reference_file_type, file_name, 
expansion_number, useafter_date, opus_flag, comment, 
general_availability_date, reject_flag) values (173, "A2D", 
"WFPC_A2D1.R1D", 0, "Oct 20 1996  2:37PM", "Y", 
"A2D_R1H_COMMENT", "Nov  5 1996 12:00AM", "N")
go

update delivery_number set value = 173
go

insert into wfpc_row (file_name, expansion_number, camera, mode,
 equivalence_class_severe, equivalence_class_moderate,
 pedigree, observation_begin_date, observation_end_date, comment) values
 ("WFPC_A2D2.R1D", 1, "cm", "mode", 1, 1, 
  "pedigree1", "Nov  3 1996 12:00AM", "Nov  4 1996 12:00AM", "A2D_R1H_COMMENT")
go

insert into wfpc_file (delivery_number, reference_file_type, file_name, 
expansion_number, useafter_date, opus_flag, comment, 
general_availability_date, reject_flag) values (174, "A2D", 
"WFPC_A2D2.R1D", 1, "Oct 20 1996  2:37PM", "Y", 
"A2D_R1H_COMMENT", "Nov  5 1996 12:00AM", "N")
go

update delivery_number set value = 174
go

exit
